PLSBK | Back to Index page

| Prolog Control Block Contents PLSBK DSECT Storage Layout Cross Reference (Contains links to field and bit definitions) |
Programming Interface Information: This information is NOT intended to be used as Programming Interfaces of z/VM.

PLSBK Prolog | Top of page

     NAME       : HCPPLSBK
     DESCRIPTION: PROCESSOR LOCAL STORAGE BLOCK
     DSECT      : PLSBK
     FUNCTION   : The PLSBK is a common area to hold data items.
                  It is divided into sections aligned on a
                  doubleword boundary. New fields may be added to
                  subsystem sections by moving corresponding
                  reserved space from the 'Unassigned Area' at
                  the bottom.
                  NOTES      : The control block reserved area value in
                  this COPY file should equal the value in
                  PLXCOPY version for this control block.
     LOCATED BY : PFXPLSBK
     CREATED BY : HCPMPS
     DELETED BY : HCPMPS
     RELOCATION CONSIDERATIONS : None
     COMMENTS   : Any new fields defined with an initial value
                  that is non-zero (defined with DC, and not
                  DS) would need to be copied from the "master"
                  to the "new" in subroutine HCPMPS:InitFMF.
     - ADDITIONALLY THE MASK HCPMPS: cPLSBK may
                  need to be updated to not clear the field.

PLSBK Control Block Content | Top of page

     PLSBK DSECT
    Top of page

    Hex   Dec Type/Val   Lng Label (dup)    Comments
    ---- ---- --------- ---- -------------- --------
    0000    0 Structure      PLSBK          PROCESSOR LOCAL STORAGE BLOCK
                           ASM
                   Paging I/O Data Fields
    0000    0 Dbl-Word     8 * (0)          Align on doubleword boundary
    0000    0 Signed       4 PLSPIOPR       Count of pages read from paging
                                            space. Includes reads in
                                            progress.
    0004    4 Signed       4 PLSPIOSR       Count of pages read from SPOOL.
                                            Includes reads in progress.
    0008    8 Signed       4 PLSPIOPW       Count of pages written to paging
                                            space. Includes writes in
                                            progress.
    000C   12 Signed       4 PLSPIOSW       Count of pages written to SPOOL.
                                            Includes writes in progress.
    0010   16 Signed       4 PLSPAGPS       Count of pages serviced (reads +
                                            writes) for paging and spool.
                                            Updated after the I/O completes.
    0014   20 Signed       4 PLSCTMPN       Count of PAGINs executed when
                                            mig- rating pages from XSTORE to
                                            DASD
    0018   24 Signed       4 PLSCTPGN       Pagein rate between real storage
                                            and expanded storage.
    001C   28 Signed       4 PLSCTPGO       Pageout rate between real storage
                                            and expanded storage.
                           HSERV
    0020   32 Dbl-Word     8 * (0)          Align on doubleword boundary
    0020   32 Signed       4 PLSABNCT       COUNT OF SOFT ABENDS
    0024   36 Bitstring  108 PLSASRWK       HCPASR work area, 27 words
    0090  144 Signed       4 PLSXITCT       Number of times user exits are
                                            called.
                           RCPU
    0094  148 Signed       4 PLSTSEAR       Count of times a time slice ended
                                            early when the guest loaded a
                                            wait state within the TSEARLY
                                            threshold
    0098  152 Dbl-Word     8 * (0)          Align on doubleword boundary
    0098  152 Signed       4 PLSDSPCW       ENTRIES TO WAIT STATE ON CPU
    009C  156 Signed       4 PLSEXTNX       EXTERNAL INTERRUPTS ON CPU
    00A0  160 Signed       4 PLSTRQPC       Productive CKC interrupts that
                                            resulted in the dequeue of
                                            expired TRQBKs.
    00A4  164 Signed       4 PLSEXTNC       SIGP EXTERNAL CALL INTERRUPTS ON
                                            CPU
    00A8  168 Signed       4 PLSMCHCT       PRIMARY MACHINE-CHECKS ON CPU
    00AC  172 Signed       4 PLSSVCCT       CP SVCS ON CPU
    00B0  176 Signed       4 PLSTRQCF       FALSE CLOCK COMPARATOR INTERRUPTS
                                            DUE CKC SET TO TRQBK ALREADY
                                            DEQUEUED ON ANOTHER CPU or CKC
                                            set to delay value because
                                            earliest TRQBK already committed.
    00B4  180 Signed       4 PLSDSPCN       WINDOWS TO WAIT FOR LOCK ON CPU
    00B8  184 Signed       4 *              Reserved for IBM use.
    00BC  188 Signed       4 PLSDSPCM       MASTER-ONLY FORCED SELECTS
    00C0  192 Signed       4 PLSDSWCU       USER WORK SELECT SLOW PATHS
    00C4  196 Signed       4 PLSPTLCS       COUNT OF CALLS ON A PROCESSOR TO
                                            PURGE THE TLB ON ALL PROCESSORS
    00C8  200 Signed       4 PLSPTLCL       COUT OF CALLS TO PURGE THE TLB ON
                                            LOCAL PROCESSOR
    00CC  204 Signed       4 PLSPTLCD       COUNT OF CALLS TO SET A PENDING
                                            HOST TLB FOR A USER
    00D0  208 Signed       4 PLSPTLCA       COUNT OF CALLS TO SET A PENDING
                                            HOST TLB FOR A USER (NOT THE
                                            CURRENT USER)
    00D4  212 Signed       4 PLSSTKCD       COUNT OF CALLS TO UPDATE USER
                                            SCHEDULING STATUS
    00D8  216 Signed       4 PLSSTKPE       ELAPSED TIME SLICE DROPS
    00DC  220 Signed       4 PLSSTKCI       IORBKS STACKED
    00E0  224 Signed       4 PLSSTKCC       CPEBKS STACKED
    00E4  228 Signed       4 PLSSTKCS       SPECIAL CPEBK CALLS
    00E8  232 Signed       4 PLSSTKCW       WORK BIT STACK CALLS
    00EC  236 Signed       4 PLSSTKGS       SIGPS TO DROP MP ADJUNCT
    00F0  240 Signed       4 PLSSTKCM       WAKEUP BY PROXY ON MASTER CPU
    00F4  244 Signed       4 PLSSTKCJ       COUNT OF DORMAN ADDS AFTER HOT
                                            SHOT
    00F8  248 Signed       4 PLSSTKCH       COUNT OF ADDS FOR HOT SHOT
    00FC  252 Signed       4 PLSSTLTL (6)   Array of counters indicating how
                                            many times this CPU stole across
                                            different topology levels.
    0114  276 Signed       4 *              Reserved for IBM use.
    0118  280 Signed       2 *              Reserved for IBM use
    011A  282 Signed       2 PLSCUHAF       COUNT OF USERS DISPATCHED WITH
                                            HARD AFFINITY (DEDICATED)
              FOLLOWING ARE VARIOUS EVENT COUNTERS FOR MONITOR
              00000002       PLSETBEL       2 SIZE OF EVENT TABLE ENTRIES -
                                            THESE ARE HALFWORDS
              00000000       PLSEVNT1       0 INDEX TO THE E-1 CLASS ENTRIES
              00000002       PLSEVNT2       1*PLSETBEL INDEX TO THE E-2 CLASS
                                            ENTRIES
              00000004       PLSEVNT3       2*PLSETBEL INDEX TO THE E-3 CLASS
                                            ENTRIES
                                      NUMBER OF TIMES A USER WAS
                                      'FORCED' INTO THE DISPATCH
                                      LIST BECAUSE IT WAS BEHIND
                                      SCHEDULE, EVEN THOUGH IT WOULD
                                      NOT FIT.
    011C  284 Signed       2 PLSEFRC1       - E1
    011E  286 Signed       2 PLSEFRC2       - E2
    0120  288 Signed       2 PLSEFRC3       - E3
    0122  290 Signed       2 PLSEQKAD       QUICKDSP USER ADDED COUNT
    0124  292 Signed       4 *              Reserved for IBM use.
    0128  296 Dbl-Word     8 PLSLKDLY       Cumulative delays attributable to
                                            waits for defer locks managed by
                                            HCPLOC and HCPLCK. Units are
                                            microseconds (SLDL 12 to get
                                            TOD).
    0130  304 Dbl-Word     8 PLSLKDIO       Cumulative delays attributable to
                                            waits for defer locks managed by
                                            HCPIOL. Units are microseconds
                                            (SLDL 12 to get TOD).
    0138  312 Signed       4 PLSLKMAX       Maximum time that this CPU ever
                                            saw any task hold a lock while
                                            someone else was waiting to get
                                            it. (For locks managed by HCPLOC
                                            or HCPLCK.) Units are TOD format
                                            with bits 32-63 discarded.
    013C  316 Address      4 PLSLKVMD       Address of the VMDBK that caused
                                            PLSLKMAX to be set.
    0140  320 Character    6 PLSLKMOD       Name of module manipulating
                                            (releasing) the lock that caused
                                            PLSLKMAX to be set.
    0146  326 Signed       2 PLSLKOFS       Offset to the "guilty" CALL in
                                            the module named by PLSLKMOD.
          Real Storage Management Section.  RSM
                 PAGE I/O PROCESSING
    0148  328 Signed       4 PLSPGDRD       Number of page table translations
                                            that resulted in a page read from
                                            auxilary storage (DASD).
    014C  332 Signed       4 PLSPGDWT       Number of page tables paged to
                                            auxilary storage (DASD).
    0150  336 Signed       4 PLSSTLWT       COUNT OF FRAME REPLACEMENT PAGE
                                            I/O WRITE REQUESTS
    0154  340 Signed       4 *
                 Uncleared Global Available List Processing (UGAL)
    0158  344 Signed       4 PLSALNCT       count of times a new frame was
                                            needed from <2G available list
    015C  348 Signed       4 PLSALEMP       count of times <2G available
                                            list was empty
    0160  352 Signed       4 PLSRETFR       Count of frames returned to the
                                            <2G available List
    0164  356 Signed       4 PLSALNCG       count of times a new frame was
                                            needed from >2G available list
    0168  360 Signed       4 PLSALEMG       count of times >2G available
                                            list was empty
    016C  364 Signed       4 PLSRETFG       Count of frames returned to the
                                            >2G available List
    0170  368 Signed       4 PLSASFCL       count of times single frame taken
                                            from <2G contig frame avail
                                            list
    0174  372 Signed       4 PLSASFCG       count of times single frame taken
                                            from >2G contig frame avail
                                            list
                 Cleared Global Available List Replenishment (CGAL)
    0178  376 Dbl-Word     8 PLSBGCTM       Amount of CPU time spent
                                            performing background
                                            replenishment of the cleared
                                            global available list.
    0180  384 Signed       4 PLSBGCNT       Number of times background
                                            replenishment of the Cleared
                                            Global Available List has run
    0184  388 Signed       4 *              Reserved for IBM use
    0188  392 Dbl-Word     8 PLSFGCTM       Amount of CPU time spent
                                            performing foreground
                                            replenishment of the Cleared
                                            Global Available List
    0190  400 Signed       4 PLSFGCNT       Number of times foreground
                                            replenishment of the Cleared
                                            Global Available List has run
    0194  404 Signed       4 *              Reserved for IBM use
    0198  408 Signed       8 PLSTrimCGTM    Amount of CPU time spent trimming
                                            the CGAL.
    01A0  416 Signed       8 PLSTrimCGCT    Count of times we trimmed the
                                            CGAL.
          The counters in this section are updated by frame reclaim
          processing and are applicable to pages subject to
          Collaborative Memory Management Assist changes.
    01A8  424 Signed       4 PLSSTPAG       Number of reclaimed frames
                                            associated with Stable-z
                                            (previously IBR) pages.
    01AC  428 Signed       4 PLSPUPAG       Number of reclaimed frames
                                            associated with Potentially-
                                            Volatile pages with guest-c off,
                                            that were converted to Volatile-z
                                            at the time the frame was
                                            reclaimed.
    01B0  432 Signed       4 PLSUPAGE       Number of reclaimed frames
                                            associated with Unused-resident
                                            or Unused-z (previously IBR)
                                            pages.
    01B4  436 Signed       4 PLSVPAGE       Number of reclaimed frames
                                            associated with Volatile-resident
                                            or Volatile-z (previously IBR)
                                            pages.
    01B8  440 Signed       4 PLSPCPAG       Number of Potentially-Volatile
                                            pages with guest-c on, that were
                                            changed to Stable at make IBR
                                            time.
    01BC  444 Signed       4 *              Reserved for IBM use
                 FREE STORAGE PROCESSING
    01C0  448 Signed       4 PLSSTLFR       COUNT OF FRAMES TAKEN FOR FREE
                                            STORAGE AND SAVE AREA BY THE
                                            FRAME TABLE SCAN
    01C4  452 Signed       4 PLSFSPGA       Count of free storage page
                                            requests backed Any
    01C8  456 Signed       4 PLSFSPGB       Count of free storage page
                                            requests backed below 2G
    01CC  460 Signed       4 PLSFSCTA       Count of free storage obtains
                                            backed ANY (sysperm, guestperm,
                                            and regular subpooled)
    01D0  464 Signed       4 PLSFSCTB       Count of free storage obtains
                                            backed below 2G (sysperm,
                                            guestperm, and regular subpooled)
    01D4  468 Signed       4 PLSFSSGA       Count of regular subpool free
                                            storage obtains backed ANY
    01D8  472 Signed       4 PLSFSSGB       Count of regular subpool free
                                            storage obtains backed below 2G
    01DC  476 Signed       4 PLSFSSRA       Count of regular subpool free
                                            storage returns backed ANY
    01E0  480 Signed       4 PLSFSSRB       Count of regular subpool free
                                            storage returns backed below 2G
    01E4  484 Signed       4 PLSFSPRA       Total returned free storage pages
                                            backed ANY
    01E8  488 Signed       4 PLSFSPRB       Total returned free storage pages
                                            backed below 2G
    01EC  492 Signed       4 PLSFRETA       Count of free storage returns
                                            backed ANY
    01F0  496 Signed       4 PLSFRETB       Count of free storage returns
                                            backed below 2G
    01F4  500 Signed       4 *              Reserved for IBM use
                 PAGE TRANSLATION PROCESSING
    01F8  504 Signed       4 PLSPRQDF       TOTAL COUNT OF PAGE REQUESTS
                                            DEFERRED
    01FC  508 Signed       4 PLSPNEW        Number of page translations for a
                                            first time referenced page.
                                            Updated using INTERLOCK due to
                                            PLP reach across case.
    0200  512 Signed       4 PLSPREAD       Number of page translations that
                                            resulted in a page read
    0204  516 Signed       4 PLSSHRRD       Total number of page reads and
                                            PAGINS for shared pages
                 STORAGE RELEASE PROCESSING
    0208  520 Signed       4 PLSRELES       Number of times any release
                                            function was performed. This
                                            includes releasing any range of
                                            virtual system pages as well as
                                            shared pages.
    020C  524 Signed       4 PLSRELFR       Number of frames that are
                                            returned by any release function.
                 Extended Paging Counters
    0210  528 Signed       4 PLSURFTF       Count of times guest faulted on a
                                            frame for 1st time but did not
                                            modify it.
    0214  532 Signed       4 PLSASARL       Count of ASA's released because
                                            that page is currently in main
                                            storage and has been changed
    0218  536 Signed       4 PLSPGIN        Count of longpath PGINS
    021C  540 Signed       4 PLSPGOUT       Count of longpath PGOUTS
    0220  544 Signed       4 PLSPGXRD       Number of page table translations
                                            that resulted in a page read from
                                            expanded storage. Serialized by
                                            processing list lock.
                                            (plsProLock)
    0224  548 Signed       4 PLSPGXWT       Number of page tables paged to
                                            expanded storage.
    0228  552 Signed       4 PLSPGMRX       Number of page table translations
                                            that resulted in a page read from
                                            expanded storage during expanded
                                            storage migration.
    022C  556 Signed       4 PLSPGMRD       Number of page table translations
                                            that resulted in a page read from
                                            auxilary storage (DASD) during
                                            expanded storage migration.
    0230  560 Signed       4 PLSMVB2G       Number of times a page was moved
                                            from a frame with address >=
                                            2G to one < 2G.
    0234  564 Signed       4 PLSMVABV       Number of times a page with
                                            address < 2G was moved to a
                                            frame with address >= 2G.
           System Execution Space Page Manager queue usage
    0238  568 Signed       4 PLSSUTKC       Number of SXS pages taken from
                                            the unbacked available queue
    023C  572 Signed       4 PLSSURTC       Number of SXS pages returned to
                                            the unbacked available queue
    0240  576 Signed       4 PLSSUPUC       Number times unbacked available
                                            queue was preferred Q and used.
    0244  580 Signed       4 PLSSUQMT       Number times unbacked available
                                            queue was empty but preferred Q.
    0248  584 Signed       4 PLSSATKC       Number of SXS pages taken from
                                            the backed-above-2G available
                                            queue
    024C  588 Signed       4 PLSSARTC       Number of SXS pages returned to
                                            the backed-above-2G available
                                            queue
    0250  592 Signed       4 PLSSAPUC       Number times backed>2G
                                            available queue was preferred Q
                                            and used.
    0254  596 Signed       4 PLSSAQMT       Number times backed>2G
                                            available queue was empty but
                                            preferred Q.
    0258  600 Signed       4 PLSSBTKC       Number of SXS pages taken from
                                            the backed-below-2G available
                                            queue
    025C  604 Signed       4 PLSSBRTC       Number of SXS pages returned to
                                            the backed-below-2G available
                                            queue
    0260  608 Signed       4 PLSSBPUC       Number times backed<2G
                                            available queue was preferred Q
                                            and used.
    0264  612 Signed       4 PLSSBQMT       Number times backed<2G
                                            available queue was empty but
                                            preferred Q.
    0268  616 Signed       4 PLSSXALS       Number of times an SXS alias was
                                            stolen from the potentially
                                            stealable queue because the
                                            available page queues were empty
    026C  620 Signed       4 PLSSXADC       Count of locked aliases dequeued
                                            while searching Potentially
                                            Stealable Queue for one to steal.
           SXS counts related to aliases & translation
    0270  624 Signed       4 PLSSXACC       Count of create SXS alias
                                            requests (count of HCPSXACA/CD
                                            calls)
    0274  628 Signed       4 PLSSXARC       Count of remove SXS alias
                                            requests (count of HCPSXARA/RE/RN
                                            calls) (doesn't include SXS page
                                            mgr steals)
    0278  632 Signed       4 PLSSXAQC       Count of Queue SXSTE requests to
                                            requeue aliases dequeued by SXSPM
                                            when locked during search for
                                            aliases to steal. HCPSXAQS calls.
    027C  636 Signed       4 PLSSXASC       Count of aliases stolen by SXS
                                            page manager
    0280  640 Signed       4 PLSSXAFC       Number of times a non-deferrable
                                            SXS alias request could not be
                                            fulfilled
    0284  644 Signed       4 PLSSXALD       Count of create alias requests
                                            that were deferred.
           System Execution Space Page Requests
    0288  648 Signed       4 PLSSPFSC       Number of HCPSXPFS calls.
    028C  652 Signed       4 PLSSPGFC       Number of free storage pages
                                            given out.
    0290  656 Signed       4 PLSSPGPC       Number of single (non-contiguous)
                                            pages given out.
    0294  660 Signed       4 PLSSPGCC       Number of contiguous SXS page
                                            requests for 2 or more pages.
    0298  664 Signed       4 PLSSPGCT       Number of contiguous SXS pages
                                            given out for contiguous page
                                            requests of two or more pages.
    029C  668 Signed       4 PLSSPRFC       Number of free storage pages
                                            returned.
    02A0  672 Signed       4 PLSSPRPC       Number of single (non-contiguous)
                                            pages returned.
    02A4  676 Signed       4 PLSSPRCC       Number of contiguous SXS page
                                            returns for 2 or more pages.
    02A8  680 Signed       4 PLSSPRCT       Number of contiguous SXS pages
                                            returned for contiguous page
                                            returns of 2 or more pages.
    02AC  684 Signed       4 PLSSPRQC       Number of returns of queues of
                                            pages. HCPSXPRQ calls.
    02B0  688 Signed       4 PLSSPRQT       Number of pages returned via
                                            queues. HCPSXPRQ calls.
    02B4  692 Signed       4 PLSSPNDP       Number of non-deferrable page
                                            requests that failed due to lack
                                            of a page. HCPSXPFS/NS/NM calls.
    02B8  696 Signed       4 PLSSPNDF       Number of non-deferrable page
                                            requests that failed due to lack
                                            of a frame. HCPSXPFS/NS/NM calls.
    02BC  700 Signed       4 PLSSPGPD       Number of times an SXS page
                                            request deferred waiting for a
                                            page. HCPSXPDF calls.
    02C0  704 Signed       4 PLSSPGFD       Number of times an SXS page
                                            request deferred waiting for ANY
                                            frame. HCPSXPDF calls.
    02C4  708 Signed       4 PLSSPGBD       Number of times an SXS page
                                            request deferred waiting for a
                                            frame<2G. HCPSXPDF calls.
           Miscellaneous SXS Fields.
    02C8  712 Signed       4 PLSSPDQC       Number of times HCPFRFDQ was
                                            called to ask free storage to
                                            release an SXS page.
    02CC  716 Signed       4 PLSSXIPC       Number of IPTE instructions
                                            executed to invalidate an SXS PTE
                                            (num of times a backing frame was
                                            removed from a page)
    02D0  720 Signed       4 PLSSXNST       Number of times RSASXNST was
                                            turned on, indicating only free
                                            storage requests are allowed to
                                            steal from the potentially
                                            stealable queue.
    02D4  724 Signed       4 PLSSXCSP       Number of CSP instructions used
                                            instead of IPTE when invalidating
                                            multiple PTEs.
    02D8  728 Signed       4 PLSSXREP       Number of times avail, unbacked
                                            queue replenishment was tried.
    02DC  732 Signed       4 *              Reserved for IBM use
          Frame request management area.
    02E0  736 Address      4 PLSAvlBF       First <2G AVLBK scanned for
                                            this request.
    02E4  740 Address      4 PLSAvlBN       Next <2G AVLBK from which to
                                            satisfy the next request
    02E8  744 Address      4 PLSAvlAF       First >2G AVLBK scanned for
                                            this request.
    02EC  748 Address      4 PLSAvlAN       Next >2G AVLBK from which to
                                            satisfy the next request
          Pin statistics
    02F0  752 Signed       4 PLSLTPinMoved  Number of times a page was moved
                                            from reconfigurable to permanent
                                            storage prior to a long-term
                                            first pin.
    02F4  756 Signed       4 PLSLTPinNotMoved
                                            Number of times a page was
                                            long-term first pinned in
                                            reconfigurable storage.
    02F8  760 Signed       4 PLSPinWhileVacate
                                            Number of times a page was first
                                            pinned (long or short) in
                                            reconfigurable storage being
                                            vacated.
    02FC  764 Signed       4 PLSLTPinNotFirst
                                            Number of times a long-term pin
                                            was performed for a page that was
                                            already pinned in reconfigurable
                                            storage.
          Reserved
    0300  768 Address      8 * (8)          Reserved for IBM use
                            CSERV
    -------------------------------------------------------------
           IUCV-System Services data transfer counters
           CP System Service entries in the PLSSRCSS, PLSTRCSS, and
           PLSUNCSS tables are indexed in the same corresponding order
           set by the CSERV subsystem:
                               1 = *MSGALL
                               2 = *MSG
                               3 = *BLOCKIO
                               4 = *RPI
                               5 = *MONITOR
                               6 = *SIGNAL
                               7 = *CCS
                               8 = *SPL
                               9 = *SYMPTOM
                              10 = *ACCOUNT
                              11 = *LOGREC
                              12 = *CRM
                              13 = *IDENT
                              14 = *CONFIG
                              15 = *VSWITCH
                              16 = *ASYNCMD
                              17 = *SCLP
                              18 = *VMEVENT
                              19 = Reserved for IBM use
                              20 = Reserved for IBM use
                              21 = Reserved for IBM use
           These entries must remain in that order and any addition
           or deletion to the tables MUST preserve the order in all
           three tables.  CSERV depends on the index numbers to
           manipulate the correct counters.
           NOTE: If entries change within the tables, HCPMNY shall
                 need to be recompiled.
                 If the position (offset) of any of the three tables
                 change, reassembly shall also be required for
                 HCPIVM and HCPVMC.
         -------------------------------------------------------------
    0340  832 Dbl-Word     8 * (0)          Align on doubleword boundary
    0340  832 Signed       4 PLSIUCVT       TOTAL COUNT OF IUCV FUNCTIONS
    0344  836 Bitstring   80 PLSSRCSS (0)   Source CP System Service counters
           Counters within PLSSRCSS are number of successful IUCV
           data transfers BY
    0344  836 Signed       4 PLSISEMA       CP SYSTEM SERVICE *MSGALL
    0348  840 Signed       4 PLSISEM        CP SYSTEM SERVICE *MSG
    034C  844 Signed       4 PLSISEBL       CP SYSTEM SERVICE *BLOCKIO
    0350  848 Signed       4 PLSISERA       CP SYSTEM SERVICE *RPI
    0354  852 Signed       4 PLSISEMO       CP SYSTEM SERVICE *MONITOR
    0358  856 Signed       4 PLSISESI       CP SYSTEM SERVICE *SIGNAL
    035C  860 Signed       4 PLSISECC       CP SYSTEM SERVICE *CCS
    0360  864 Signed       4 PLSISESP       CP SYSTEM SERVICE *SPL
    0364  868 Signed       4 PLSISESY       CP SYSTEM SERVICE *SYMPTOM
    0368  872 Signed       4 PLSISEAC       CP SYSTEM SERVICE *ACCOUNT
    036C  876 Signed       4 PLSISELO       CP SYSTEM SERVICE *LOGREC
    0370  880 Signed       4 PLSISECR       CP System Service *CRM
    0374  884 Signed       4 PLSISEID       CP System Service *IDENT
    0378  888 Signed       4 PLSISECF       CP System Service *CONFIG
    037C  892 Signed       4 PLSISEVS       CP System Service *VSWITCH
    0380  896 Signed       4 PLSISEAS       CP System Service *ASYNCMD
    0384  900 Signed       4 PLSISESC       CP System Service *SCLP
    0388  904 Signed       4 PLSISEVE       CP System Service *VMEVENT
    038C  908 Signed       4 * (3)          Reserved for IBM use
    0398  920 Bitstring   80 PLSTRCSS (0)   TARGET CP System Service counters
           Counters within PLSTRCSS are number of successful IUCV
           data transfers TO
    0398  920 Signed       4 PLSISTMA       CP SYSTEM SERVICE *MSGALL
    039C  924 Signed       4 PLSISTM        CP SYSTEM SERVICE *MSG
    03A0  928 Signed       4 PLSISTBL       CP SYSTEM SERVICE *BLOCKIO
    03A4  932 Signed       4 PLSISTRA       CP SYSTEM SERVICE *RPI
    03A8  936 Signed       4 PLSISTMO       CP SYSTEM SERVICE *MONITOR
    03AC  940 Signed       4 PLSISTSI       CP SYSTEM SERVICE *SIGNAL
    03B0  944 Signed       4 PLSISTCC       CP SYSTEM SERVICE *CCS
    03B4  948 Signed       4 PLSISTSP       CP SYSTEM SERVICE *SPL
    03B8  952 Signed       4 PLSISTSY       CP SYSTEM SERVICE *SYMPTOM
    03BC  956 Signed       4 PLSISTAC       CP SYSTEM SERVICE *ACCOUNT
    03C0  960 Signed       4 PLSISTLO       CP SYSTEM SERVICE *LOGREC
    03C4  964 Signed       4 PLSISTCR       CP System Service *CRM
    03C8  968 Signed       4 PLSISTID       CP System Service *IDENT
    03CC  972 Signed       4 PLSISTCF       CP System Service *CONFIG
    03D0  976 Signed       4 PLSISTVS       CP System Service *VSWITCH
    03D4  980 Signed       4 PLSISTAS       CP System Service *ASYNCMD
    03D8  984 Signed       4 PLSISTSC       CP System Service *SCLP
    03DC  988 Signed       4 PLSISTVE       CP System Service *VMEVENT
    03E0  992 Signed       4 * (3)          Reserved for IBM use
    03EC 1004 Bitstring   80 PLSUNCSS (0)   Unsuccessful CP System Service
                                            counters
           Counters within PLSUNCSS are number of unsuccessful IUCV
           data transfers BY
    03EC 1004 Signed       4 PLSISUMA       CP SYSTEM SERVICE *MSGALL
    03F0 1008 Signed       4 PLSISUM        CP SYSTEM SERVICE *MSG
    03F4 1012 Signed       4 PLSISUBL       CP SYSTEM SERVICE *BLOCKIO
    03F8 1016 Signed       4 PLSISURA       CP SYSTEM SERVICE *RPI
    03FC 1020 Signed       4 PLSISUMO       CP SYSTEM SERVICE *MONITOR
    0400 1024 Signed       4 PLSISUSI       CP SYSTEM SERVICE *SIGNAL
    0404 1028 Signed       4 PLSISUCC       CP SYSTEM SERVICE *CCS
    0408 1032 Signed       4 PLSISUSP       CP SYSTEM SERVICE *SPL
    040C 1036 Signed       4 PLSISUSY       CP SYSTEM SERVICE *SYMPTOM
    0410 1040 Signed       4 PLSISUAC       CP SYSTEM SERVICE *ACCOUNT
    0414 1044 Signed       4 PLSISULO       CP SYSTEM SERVICE *LOGREC
    0418 1048 Signed       4 PLSISUCR       CP System Service *CRM
    041C 1052 Signed       4 PLSISUID       CP System Service *IDENT
    0420 1056 Signed       4 PLSISUCF       CP System Service *CONFIG
    0424 1060 Signed       4 PLSISUVS       CP System Service *VSWITCH
    0428 1064 Signed       4 PLSISUAS       CP System Service *ASYNCMD
    042C 1068 Signed       4 PLSISUSC       CP System Service *SCLP
    0430 1072 Signed       4 PLSISUVE       CP System Service *VMEVENT
    0434 1076 Signed       4 * (3)          Reserved for IBM use
          IUCV-Virtual Machine data transfer counters
    0440 1088 Signed       4 PLSISEVM       Number of times data was success-
                                            fully transferred by IUCV from a
                                            virtual machine
    0444 1092 Signed       4 PLSISTVM       Number of times data was success-
                                            fully transferred by IUCV to a
                                            virtual machine
    0448 1096 Signed       4 PLSISUVM       Number of times data was NOT
                                            successfully transferred by IUCV
                                            to a virtual machine
          VMCF-Virtual Machine data transfer counters
    044C 1100 Signed       4 PLSVSEVM       Number of times data was success-
                                            fully transferred by VMCF from a
                                            virtual machine
    0450 1104 Signed       4 PLSVSTVM       Number of times data was success-
                                            fully transferred by VMCF to a
                                            virtual machine
    0454 1108 Signed       4 PLSVSUVM       Number of times data was NOT
                                            successfully transferred by VMCF
                                            to a virtual machine
                            SIOM
    0458 1112 Dbl-Word     8 * (0)          Align on doubleword boundary
    0458 1112 Signed       4 PLSCTSS        COUNT OF REAL SSCHS EXECUTED
    045C 1116 Signed       4 PLSCTRS        COUNT OF REAL RSCHS EXECUTED
    0460 1120 Signed       4 PLSCTCS        COUNT OF REAL CSCHS EXECUTED
    0464 1124 Signed       4 PLSCTHS        COUNT OF REAL HSCHS EXECUTED
    0468 1128 Signed       4 PLSCTSI        I/O SOLICITED INTERRUPTS
    046C 1132 Signed       4 PLSCTUI        I/O UNSOLICITED INTERRUPTS
    0470 1136 Signed       4 PLSCPSUS       INVOCATIONS OF IORSUSNS EXIT
    0474 1140 Signed       4 PLSSSDSD       COUNT OF SSCH FOR GUEST DASD
                           VCTRL
    0478 1144 Dbl-Word     8 * (0)          Align on doubleword boundary
    0478 1144 Signed       4 PLSPCVSC       COUNT OF SERVC (B220) INSTR
    047C 1148 Signed       4 *              Reserved for IBM use
                           VIOS
    0480 1152 Dbl-Word     8 * (0)          Align on doubleword boundary
    0480 1152 Signed       4 PLSSSCHC       COUNT OF VIRTUAL SSCHS EXECUTED
    0484 1156 Signed       4 PLSRSCHC       COUNT OF VIRTUAL RSCHS EXECUTED
    0488 1160 Signed       4 PLSSIOCT       COUNT OF VIRTUAL SIOS EXECUTED
    048C 1164 Signed       4 PLSSIOFC       COUNT OF VIRTUAL SIOFS EXECUTED
    0490 1168 Signed       4 PLSTCCC        COUNT OF VIRTUAL TEST CHANNELS
                                            AND CLEAR CHANNELS (TCCCS)
                                            EXECUTED
    0494 1172 Signed       4 *              RESERVED FOR IBM USE TO VIRTUAL
                                            MACHINES
    0498 1176 Signed       4 PLSIORCT       COUNT OF IORBKS PROCESSED
    049C 1180 Signed       4 PLSVDISK       Count of Diag A4, Diag 250 and
                                            IUCV *BLOCKIOs to V-disk. Used to
                                            get Virtual I/O rate to real DASD
                                            devices for monitor
    04A0 1184 Signed       4 PLS250IR       Count of Diagnose 250
                                            instructions for
                                            initialize/remove. Used to get
                                            Virtual I/O rate to real DASD
                                            devices for monitor
    04A4 1188 Signed       4 PLSCCWLP       Count of longpath virtual I/Os to
                                            DASD. (Not handled by fastpath)
                                            Used to get Virtual I/O rate to
                                            real DASD devices for monitor
    04A8 1192 Signed       4 PLSVWRIT       Count of virtual write I/Os to
                                            DASD. (Not handled by fastpath)
                                            Used to get Virtual r/w ratio to
                                            real DASD devices for monitor
    04AC 1196 Signed       4 *              Reserved for IBM use
                           VSERV - part 1
    04B0 1200 Dbl-Word     8 * (0)          Align on doubleword boundary
    04B0 1200 Bitstring  256 PLSDIAG (0)    TABLE OF DIAGNOSE COUNTERS
                                            000-0FC
    04B0 1200 Signed       4 PLSDGX00       COUNT OF DIAGNOSE X'00'
    04B4 1204 Signed       4 PLSDGX04       COUNT OF DIAGNOSE X'04'
    04B8 1208 Signed       4 PLSDGX08       COUNT OF DIAGNOSE X'08'
    04BC 1212 Signed       4 PLSDGX0C       COUNT OF DIAGNOSE X'0C'
    04C0 1216 Signed       4 PLSDGX10       COUNT OF DIAGNOSE X'10'
    04C4 1220 Signed       4 PLSDGX14       COUNT OF DIAGNOSE X'14'
    04C8 1224 Signed       4 PLSDGX18       COUNT OF DIAGNOSE X'18'
    04CC 1228 Signed       4 PLSDGX1C       COUNT OF DIAGNOSE X'1C'
    04D0 1232 Signed       4 PLSDGX20       COUNT OF DIAGNOSE X'20'
    04D4 1236 Signed       4 PLSDGX24       COUNT OF DIAGNOSE X'24'
    04D8 1240 Signed       4 PLSDGX28       COUNT OF DIAGNOSE X'28'
    04DC 1244 Signed       4 PLSDGX2C       COUNT OF DIAGNOSE X'2C'
    04E0 1248 Signed       4 PLSDGX30       COUNT OF DIAGNOSE X'30'
    04E4 1252 Signed       4 PLSDGX34       COUNT OF DIAGNOSE X'34'
    04E8 1256 Signed       4 PLSDGX38       COUNT OF DIAGNOSE X'38'
    04EC 1260 Signed       4 PLSDGX3C       COUNT OF DIAGNOSE X'3C'
    04F0 1264 Signed       4 PLSDGX40       COUNT OF DIAGNOSE X'40'
    04F4 1268 Signed       4 PLSDGX44       COUNT OF DIAGNOSE X'44'
    04F8 1272 Signed       4 PLSDGX48       COUNT OF DIAGNOSE X'48'
    04FC 1276 Signed       4 PLSDGX4C       COUNT OF DIAGNOSE X'4C'
    0500 1280 Signed       4 PLSDGX50       COUNT OF DIAGNOSE X'50'
    0504 1284 Signed       4 PLSDGX54       COUNT OF DIAGNOSE X'54'
    0508 1288 Signed       4 PLSDGX58       COUNT OF DIAGNOSE X'58'
    050C 1292 Signed       4 PLSDGX5C       COUNT OF DIAGNOSE X'5C'
    0510 1296 Signed       4 PLSDGX60       COUNT OF DIAGNOSE X'60'
    0514 1300 Signed       4 PLSDGX64       COUNT OF DIAGNOSE X'64'
    0518 1304 Signed       4 PLSDGX68       COUNT OF DIAGNOSE X'68'
    051C 1308 Signed       4 PLSDGX6C       COUNT OF DIAGNOSE X'6C'
    0520 1312 Signed       4 PLSDGX70       COUNT OF DIAGNOSE X'70'
    0524 1316 Signed       4 PLSDGX74       COUNT OF DIAGNOSE X'74'
    0528 1320 Signed       4 PLSDGX78       COUNT OF DIAGNOSE X'78'
    052C 1324 Signed       4 PLSDGX7C       COUNT OF DIAGNOSE X'7C'
    0530 1328 Signed       4 PLSDGX80       COUNT OF DIAGNOSE X'80'
    0534 1332 Signed       4 PLSDGX84       COUNT OF DIAGNOSE X'84'
    0538 1336 Signed       4 PLSDGX88       COUNT OF DIAGNOSE X'88'
    053C 1340 Signed       4 PLSDGX8C       COUNT OF DIAGNOSE X'8C'
    0540 1344 Signed       4 PLSDGX90       COUNT OF DIAGNOSE X'90'
    0544 1348 Signed       4 PLSDGX94       COUNT OF DIAGNOSE X'94'
    0548 1352 Signed       4 PLSDGX98       COUNT OF DIAGNOSE X'98'
    054C 1356 Signed       4 PLSDGX9C       COUNT OF DIAGNOSE X'9C'
    0550 1360 Signed       4 PLSDGXA0       COUNT OF DIAGNOSE X'A0'
    0554 1364 Signed       4 PLSDGXA4       COUNT OF DIAGNOSE X'A4'
    0558 1368 Signed       4 PLSDGXA8       COUNT OF DIAGNOSE X'A8'
    055C 1372 Signed       4 PLSDGXAC       COUNT OF DIAGNOSE X'AC'
    0560 1376 Signed       4 PLSDGXB0       COUNT OF DIAGNOSE X'B0'
    0564 1380 Signed       4 PLSDGXB4       COUNT OF DIAGNOSE X'B4'
    0568 1384 Signed       4 PLSDGXB8       COUNT OF DIAGNOSE X'B8'
    056C 1388 Signed       4 PLSDGXBC       COUNT OF DIAGNOSE X'BC'
    0570 1392 Signed       4 PLSDGXC0       COUNT OF DIAGNOSE X'C0'
    0574 1396 Signed       4 PLSDGXC4       COUNT OF DIAGNOSE X'C4'
    0578 1400 Signed       4 PLSDGXC8       COUNT OF DIAGNOSE X'C8'
    057C 1404 Signed       4 PLSDGXCC       COUNT OF DIAGNOSE X'CC'
    0580 1408 Signed       4 PLSDGXD0       COUNT OF DIAGNOSE X'D0'
    0584 1412 Signed       4 PLSDGXD4       COUNT OF DIAGNOSE X'D4'
    0588 1416 Signed       4 PLSDGXD8       COUNT OF DIAGNOSE X'D8'
    058C 1420 Signed       4 PLSDGXDC       COUNT OF DIAGNOSE X'DC'
    0590 1424 Signed       4 PLSDGXE0       COUNT OF DIAGNOSE X'E0'
    0594 1428 Signed       4 PLSDGXE4       COUNT OF DIAGNOSE X'E4'
    0598 1432 Signed       4 PLSDGXE8       COUNT OF DIAGNOSE X'E8'
    059C 1436 Signed       4 PLSDGXEC       COUNT OF DIAGNOSE X'EC'
    05A0 1440 Signed       4 PLSDGXF0       COUNT OF DIAGNOSE X'F0'
    05A4 1444 Signed       4 PLSDGXF4       COUNT OF DIAGNOSE X'F4'
    05A8 1448 Signed       4 PLSDGXF8       COUNT OF DIAGNOSE X'F8'
    05AC 1452 Signed       4 PLSDGXFC       COUNT OF DIAGNOSE X'FC'
                           VSERV - part 2
    05B0 1456 Dbl-Word     8 * (0)          Align on doubleword boundary
    05B0 1456 Bitstring  520 PLSDIAG2 (0)   TABLE OF DIAGNOSE COUNTERS
                                            200-3FC plus the cummulative
                                            counter for IBM diagnose
                                            instructions plus the cummulative
                                            counter for USER diagnose
                                            instructions
    05B0 1456 Signed       4 PLSDG200       RESERVED FOR DIAG X'200'
    05B4 1460 Signed       4 PLSDG204       RESERVED FOR DIAG X'204'
    05B8 1464 Signed       4 PLSDG208       RESERVED FOR DIAG X'208'
    05BC 1468 Signed       4 PLSDG20C       RESERVED FOR DIAG X'20C'
    05C0 1472 Signed       4 PLSDG210       RESERVED FOR DIAG X'210'
    05C4 1476 Signed       4 PLSDG214       RESERVED FOR DIAG X'214' NOTE:
                                            for performance reasons, this
                                            count is NOT included in the
                                            total count, PLSDIAGT.
    05C8 1480 Signed       4 PLSDG218       RESERVED FOR DIAG X'218'
    05CC 1484 Signed       4 PLSDG21C       RESERVED FOR DIAG X'21C'
    05D0 1488 Signed       4 PLSDG220       RESERVED FOR DIAG X'220'
    05D4 1492 Signed       4 PLSDG224       RESERVED FOR DIAG X'224'
    05D8 1496 Signed       4 PLSDG228       RESERVED FOR DIAG X'228'
    05DC 1500 Signed       4 PLSDG22C       RESERVED FOR DIAG X'22C'
    05E0 1504 Signed       4 PLSDG230       RESERVED FOR DIAG X'230'
    05E4 1508 Signed       4 PLSDG234       RESERVED FOR DIAG X'234'
    05E8 1512 Signed       4 PLSDG238       Count of diagnose X'238'
    05EC 1516 Signed       4 PLSDG23C       RESERVED FOR DIAG X'23C'
    05F0 1520 Signed       4 PLSDG240       RESERVED FOR DIAG X'240'
    05F4 1524 Signed       4 PLSDG244       RESERVED FOR DIAG X'244'
    05F8 1528 Signed       4 PLSDG248       RESERVED FOR DIAG X'248'
    05FC 1532 Signed       4 PLSDG24C       RESERVED FOR DIAG X'24C'
    0600 1536 Signed       4 PLSDG250       RESERVED FOR DIAG X'250'
    0604 1540 Signed       4 PLSDG254       RESERVED FOR DIAG X'254'
    0608 1544 Signed       4 PLSDG258       RESERVED FOR DIAG X'258'
    060C 1548 Signed       4 PLSDG25C       RESERVED FOR DIAG X'25C'
    0610 1552 Signed       4 PLSDG260       RESERVED FOR DIAG X'260'
    0614 1556 Signed       4 PLSDG264       RESERVED FOR DIAG X'264'
    0618 1560 Signed       4 PLSDG268       RESERVED FOR DIAG X'268'
    061C 1564 Signed       4 PLSDG26C       RESERVED FOR DIAG X'26C'
    0620 1568 Signed       4 PLSDG270       RESERVED FOR DIAG X'270'
    0624 1572 Signed       4 PLSDG274       RESERVED FOR DIAG X'274'
    0628 1576 Signed       4 PLSDG278       RESERVED FOR DIAG X'278'
    062C 1580 Signed       4 PLSDG27C       RESERVED FOR DIAG X'27C'
    0630 1584 Signed       4 PLSDG280       RESERVED FOR DIAG X'280'
    0634 1588 Signed       4 PLSDG284       RESERVED FOR DIAG X'284'
    0638 1592 Signed       4 PLSDG288       RESERVED FOR DIAG X'288'
    063C 1596 Signed       4 PLSDG28C       RESERVED FOR DIAG X'28C'
    0640 1600 Signed       4 PLSDG290       RESERVED FOR DIAG X'290'
    0644 1604 Signed       4 PLSDG294       RESERVED FOR DIAG X'294'
    0648 1608 Signed       4 PLSDG298       RESERVED FOR DIAG X'298'
    064C 1612 Signed       4 PLSDG29C       RESERVED FOR DIAG X'29C'
    0650 1616 Signed       4 PLSDG2A0       RESERVED FOR DIAG X'2A0'
    0654 1620 Signed       4 PLSDG2A4       RESERVED FOR DIAG X'2A4'
    0658 1624 Signed       4 PLSDG2A8       RESERVED FOR DIAG X'2A8'
    065C 1628 Signed       4 PLSDG2AC       RESERVED FOR DIAG X'2AC'
    0660 1632 Signed       4 PLSDG2B0       RESERVED FOR DIAG X'2B0'
    0664 1636 Signed       4 PLSDG2B4       RESERVED FOR DIAG X'2B4'
    0668 1640 Signed       4 PLSDG2B8       RESERVED FOR DIAG X'2B8'
    066C 1644 Signed       4 PLSDG2BC       RESERVED FOR DIAG X'2BC'
    0670 1648 Signed       4 PLSDG2C0       RESERVED FOR DIAG X'2C0'
    0674 1652 Signed       4 PLSDG2C4       RESERVED FOR DIAG X'2C4'
    0678 1656 Signed       4 PLSDG2C8       RESERVED FOR DIAG X'2C8'
    067C 1660 Signed       4 PLSDG2CC       RESERVED FOR DIAG X'2CC'
    0680 1664 Signed       4 PLSDG2D0       RESERVED FOR DIAG X'2D0'
    0684 1668 Signed       4 PLSDG2D4       RESERVED FOR DIAG X'2D4'
    0688 1672 Signed       4 PLSDG2D8       RESERVED FOR DIAG X'2D8'
    068C 1676 Signed       4 PLSDG2DC       RESERVED FOR DIAG X'2DC'
    0690 1680 Signed       4 PLSDG2E0       RESERVED FOR DIAG X'2E0'
    0694 1684 Signed       4 PLSDG2E4       RESERVED FOR DIAG X'2E4'
    0698 1688 Signed       4 PLSDG2E8       RESERVED FOR DIAG X'2E8'
    069C 1692 Signed       4 PLSDG2EC       RESERVED FOR DIAG X'2EC'
    06A0 1696 Signed       4 PLSDG2F0       RESERVED FOR DIAG X'2F0'
    06A4 1700 Signed       4 PLSDG2F4       RESERVED FOR DIAG X'2F4'
    06A8 1704 Signed       4 PLSDG2F8       RESERVED FOR DIAG X'2F8'
    06AC 1708 Signed       4 PLSDG2FC       RESERVED FOR DIAG X'2FC'
    06B0 1712 Signed       4 PLSDG300       RESERVED FOR DIAG X'300'
    06B4 1716 Signed       4 PLSDG304       RESERVED FOR DIAG X'304'
    06B8 1720 Signed       4 PLSDG308       RESERVED FOR DIAG X'308'
    06BC 1724 Signed       4 PLSDG30C       RESERVED FOR DIAG X'30C'
    06C0 1728 Signed       4 PLSDG310       RESERVED FOR DIAG X'310'
    06C4 1732 Signed       4 PLSDG314       RESERVED FOR DIAG X'314'
    06C8 1736 Signed       4 PLSDG318       RESERVED FOR DIAG X'318'
    06CC 1740 Signed       4 PLSDG31C       RESERVED FOR DIAG X'31C'
    06D0 1744 Signed       4 PLSDG320       RESERVED FOR DIAG X'320'
    06D4 1748 Signed       4 PLSDG324       RESERVED FOR DIAG X'324'
    06D8 1752 Signed       4 PLSDG328       RESERVED FOR DIAG X'328'
    06DC 1756 Signed       4 PLSDG32C       RESERVED FOR DIAG X'32C'
    06E0 1760 Signed       4 PLSDG330       RESERVED FOR DIAG X'330'
    06E4 1764 Signed       4 PLSDG334       RESERVED FOR DIAG X'334'
    06E8 1768 Signed       4 PLSDG338       RESERVED FOR DIAG X'338'
    06EC 1772 Signed       4 PLSDG33C       RESERVED FOR DIAG X'33C'
    06F0 1776 Signed       4 PLSDG340       RESERVED FOR DIAG X'340'
    06F4 1780 Signed       4 PLSDG344       RESERVED FOR DIAG X'344'
    06F8 1784 Signed       4 PLSDG348       RESERVED FOR DIAG X'348'
    06FC 1788 Signed       4 PLSDG34C       RESERVED FOR DIAG X'34C'
    0700 1792 Signed       4 PLSDG350       RESERVED FOR DIAG X'350'
    0704 1796 Signed       4 PLSDG354       RESERVED FOR DIAG X'354'
    0708 1800 Signed       4 PLSDG358       RESERVED FOR DIAG X'358'
    070C 1804 Signed       4 PLSDG35C       RESERVED FOR DIAG X'35C'
    0710 1808 Signed       4 PLSDG360       RESERVED FOR DIAG X'360'
    0714 1812 Signed       4 PLSDG364       RESERVED FOR DIAG X'364'
    0718 1816 Signed       4 PLSDG368       RESERVED FOR DIAG X'368'
    071C 1820 Signed       4 PLSDG36C       RESERVED FOR DIAG X'36C'
    0720 1824 Signed       4 PLSDG370       RESERVED FOR DIAG X'370'
    0724 1828 Signed       4 PLSDG374       RESERVED FOR DIAG X'374'
    0728 1832 Signed       4 PLSDG378       RESERVED FOR DIAG X'378'
    072C 1836 Signed       4 PLSDG37C       RESERVED FOR DIAG X'37C'
    0730 1840 Signed       4 PLSDG380       RESERVED FOR DIAG X'380'
    0734 1844 Signed       4 PLSDG384       RESERVED FOR DIAG X'384'
    0738 1848 Signed       4 PLSDG388       RESERVED FOR DIAG X'388'
    073C 1852 Signed       4 PLSDG38C       RESERVED FOR DIAG X'38C'
    0740 1856 Signed       4 PLSDG390       RESERVED FOR DIAG X'390'
    0744 1860 Signed       4 PLSDG394       RESERVED FOR DIAG X'394'
    0748 1864 Signed       4 PLSDG398       RESERVED FOR DIAG X'398'
    074C 1868 Signed       4 PLSDG39C       RESERVED FOR DIAG X'39C'
    0750 1872 Signed       4 PLSDG3A0       RESERVED FOR DIAG X'3A0'
    0754 1876 Signed       4 PLSDG3A4       RESERVED FOR DIAG X'3A4'
    0758 1880 Signed       4 PLSDG3A8       RESERVED FOR DIAG X'3A8'
    075C 1884 Signed       4 PLSDG3AC       RESERVED FOR DIAG X'3AC'
    0760 1888 Signed       4 PLSDG3B0       RESERVED FOR DIAG X'3B0'
    0764 1892 Signed       4 PLSDG3B4       RESERVED FOR DIAG X'3B4'
    0768 1896 Signed       4 PLSDG3B8       RESERVED FOR DIAG X'3B8'
    076C 1900 Signed       4 PLSDG3BC       RESERVED FOR DIAG X'3BC'
    0770 1904 Signed       4 PLSDG3C0       RESERVED FOR DIAG X'3C0'
    0774 1908 Signed       4 PLSDG3C4       RESERVED FOR DIAG X'3C4'
    0778 1912 Signed       4 PLSDG3C8       RESERVED FOR DIAG X'3C8'
    077C 1916 Signed       4 PLSDG3CC       RESERVED FOR DIAG X'3CC'
    0780 1920 Signed       4 PLSDG3D0       RESERVED FOR DIAG X'3D0'
    0784 1924 Signed       4 PLSDG3D4       RESERVED FOR DIAG X'3D4'
    0788 1928 Signed       4 PLSDG3D8       RESERVED FOR DIAG X'3D8'
    078C 1932 Signed       4 PLSDG3DC       RESERVED FOR DIAG X'3DC'
    0790 1936 Signed       4 PLSDG3E0       RESERVED FOR DIAG X'3E0'
    0794 1940 Signed       4 PLSDG3E4       RESERVED FOR DIAG X'3E4'
    0798 1944 Signed       4 PLSDG3E8       RESERVED FOR DIAG X'3E8'
    079C 1948 Signed       4 PLSDG3EC       RESERVED FOR DIAG X'3EC'
    07A0 1952 Signed       4 PLSDG3F0       RESERVED FOR DIAG X'3F0'
    07A4 1956 Signed       4 PLSDG3F4       RESERVED FOR DIAG X'3F4'
    07A8 1960 Signed       4 PLSDG3F8       RESERVED FOR DIAG X'3F8'
    07AC 1964 Signed       4 PLSDG3FC       RESERVED FOR DIAG X'3FC'
    07B0 1968 Signed       4 PLSDIAGT       Ct of all IBM diagnose operations
                                            EXCEPT Diagnose X'214'. To get
                                            the total, add PLSDG214 and
                                            PLSDIAGT.
    07B4 1972 Signed       4 PLSDGUCT       Ct of all USER diag operations.
                                            The USER diagnose range is X'100'
                                            through x'1FC'. Individual counts
                                            are not maintained in this block
                                            but can be found in the DGNBK for
                                            the particular diagnose.
                            VSIM
    07B8 1976 Dbl-Word     8 * (0)          Align on doubleword boundary
    07B8 1976 Signed       4 PLSVIXLD       TOTAL COUNT OF GUEST EXTERNAL
                                            INTERRUPT X'2402'
    07BC 1980 Signed       4 PLSVIXIU       TOTAL COUNT OF GUEST EXTERNAL
                                            INTERRUPT X'4000'
    07C0 1984 Signed       4 PLSVIXVM       TOTAL COUNT OF GUEST EXTERNAL
                                            INTERRUPT X'4001'
    07C4 1988 Signed       4 PLSCFMCK       COUNT OF CALL-FROM-CFM CPEBKS
                                            UNSTACKED AND EXECUTED
    07C8 1992 Signed       4 *              Reserved for IBM use
    07CC 1996 Signed       4 PLSSCKPF       Count of 0107 instr simulations
    07D0 2000 Signed       4 PLSWRUCI       COUNT OF SIE INTERCEPTIONS WHILE
                                            SIMULATING THE SIE INSTRUCTION
    07D4 2004 Signed       4 PLSWRUCP       COUNT OF SIE INSTRUCTION
                                            EXECUTIONS WHILE SIMULATING THE
                                            SIE INSTRUCTION
    07D8 2008 Signed       4 PLSVATCL       Count of guest virtual to host
                                            logical address translations
    07DC 2012 Signed       4 PLSVATCA       COUNT OF GUEST VIRTUAL TO GUEST
                                            REAL ADDRESS TRANSLATIONS
    07E0 2016 Signed       4 PLSTMRCE       COUNT OF GUEST ENTRIES TO AN
                                            ENABLED WAIT STATE
    07E4 2020 Signed       4 PLSBISST       B27D(STSI) instr simulation count
    07E8 2024 Signed       4 *              Reserved for IBM use
    07EC 2028 Signed       4 PLSVOPIF       COUNT OF INSTRUCTION FETCHES
    07F0 2032 Signed       4 PLSVIXEX       COUNT OF EXTERNAL INTERRUPTS
                                            REFLECTED TO VIRTUAL MACHINES
    07F4 2036 Signed       4 PLSMCVMC       COUNT OF MACHINE CHECK INTERRUPTS
                                            REFLECTED TO VIRTUAL MACHINES
    07F8 2040 Signed       4 PLSGIRPG       COUNT OF PROGRAM INTERRUPTS
                                            REFLECTED TO VIRTUAL MACHINES
    07FC 2044 Signed       4 PLSPRVSC       COUNT OF SVC INTERRUPTS REFLECTED
                                            TO VIRTUAL MACHINES
    0800 2048 Signed       4 PLSTMRCO       COUNT OF GUEST TIMER UPDATES WHEN
                                            LEAVING GUEST WAIT STATE
    0804 2052 Signed       4 PLSVIPRC       COUNT OF PAGE FAULTS RECOGNIZED
                                            FOR A PAGEX GUEST
    0808 2056 Signed       4 PLSVIPRS       COUNT OF PAGE FAULTS RECOGNIZED
                                            FOR A PAGEX GUEST
    080C 2060 Signed       4 PLSPRVIS       COUNT OF NON-FAST-PATH GUEST
                                            INSTRUCTION SIMULATIONS PERFORMED
                                            ON THIS PROCESSOR.
                       COUNTS OF INSTRUCTIONS SIMULATED:
    0810 2064 Signed       4 PLSBISCP       STIDP (B202)
    0814 2068 Signed       4 PLSBISAS       STAP (B212)
    0818 2072 Signed       4 PLSBISBT       TB (B22C)
    081C 2076 Signed       4 PLSBISPB       PTLB (B20D)
    0820 2080 Signed       4 PLSBISSI       SIE (B214)
    0824 2084 Signed       4 PLSBISTE       SCK (B204)
    0828 2088 Signed       4 PLSBISXE       SPX (B210)
    082C 2092 Signed       4 PLSBISXS       STPX (B211)
    0830 2096 Signed       4 PLSBISIU       IUCV (B2F0)
    0834 2100 Signed       4 PLSKEYIE       ISKE (B229)
    0838 2104 Signed       4 PLSKEYIK       ISK (09)
    083C 2108 Signed       4 PLSKEYRE       RRBE (B22A)
    0840 2112 Signed       4 PLSKEYRR       RRB (B213)
    0844 2116 Signed       4 PLSKEYSE       SSKE (B22B)
    0848 2120 Signed       4 PLSKEYSK       SSK (08)
    084C 2124 Signed       4 PLSPRVGP       SIGP (AE)
    0850 2128 Signed       4 PLSPRVLC       LCTL (B7)
    0854 2132 Signed       4 PLSPRVLP       LPSW (82)
    0858 2136 Signed       4 PLSPRVMN       STNSM (AC)
    085C 2140 Signed       4 PLSPRVMO       STOSM (AD)
    0860 2144 Signed       4 PLSPRVMS       SSM (80)
    0864 2148 Signed       4 PLSPRVSV       SVC (0A)
    0868 2152 Signed       4 PLSPRVTC       STCTL (B6)
    086C 2156 Signed       4 PLSPRVTP       TPROT (E501)
    0870 2160 Signed       4 PLSPRVVN       GUEST SVC 76'S REFLECTED
    0874 2164 Signed       4 PLSVPTNV       IPTE (B221)
    0878 2168 Signed       4 PLSXPGIN       PGIN (B22E)
    087C 2172 Signed       4 PLSXPGOU       PGOUT (B22F)
    0880 2176 Signed       4 PLSPRVLG       LCTLG (EB2F)
    0884 2180 Signed       4 PLSPRVSG       STCTG (EB25)
    0888 2184 Signed       4 PLSLPSWE       LPSWE (B2B2)
    088C 2188 Signed       4 PLS0EPSW       EPSW (B98D)
    0890 2192 Signed       4 PLS0STFL       STFL (B2B1)
    0894 2196 Signed       4 PLS0ESEA       ESEA (B99D)
    0898 2200 Signed       4 PLSSTFLE       STFLE (B2B0)
    089C 2204 Signed       4 PLSPTFF        PTFF (0104)
    08A0 2208 Signed       4 PLSESSA        ESSA (B9AB)
    08A4 2212 Signed       4 PLSVCSP        CSP (B250)
    08A8 2216 Signed       4 PLSVCSPG       CSPG (B98A)
    08AC 2220 Signed       4 PLSBPFMF       PFMF (B9AF)
    08B0 2224 Signed       4 *              RESERVED FOR IBM USE
    08B4 2228 Signed       4 *              RESERVED FOR IBM USE
    08B8 2232 Signed       4 *              RESERVED FOR IBM USE
    08BC 2236 Signed       4 PLSXPG5A       Count of B25A instr simulations
    08C0 2240 Signed       4 *              Reserved for IBM use
    08C4 2244 Signed       4 PLSALERT       Count of Alert interceptions
    08C8 2248 Signed       4 PLSALETP       Count of TPZI indications of I/O
    08CC 2252 Signed       4 PLSVIESB       IESBE (B259)
    08D0 2256 Signed       4 PLSVIDTE       IDTE (B98E)
    08D4 2260 Signed       4 PLSSTHYI       STHYI (B256)
                           MONTR
    08D8 2264 Dbl-Word     8 * (0)          Align on doubleword boundary
    08D8 2264 Signed       4 PLSUNKMC       Count of times an unrecognized
                                            Monitor Call (MC) instruction
                                            (unrecognized class or code) was
                                            invoked. Unrecognized codes are
                                            NOT detected in the USER and I/O
                                            domains for users or devices that
                                            are not being monitored.
    08DC 2268 Signed       4 *              Reserved for IBM use
    08E0 2272 Address      4 PLSSMPBK       Pointer to CPU-Measurement
                                            Sampler Facility processor local
                                            settings and stats.
    08E4 2276 Address      4 PLSCCFBK       Pointer to CPU-Measurement
                                            Facility counters and data
                 Diagnose x'9C' counters
    08E8 2280 Signed       4 PLS9CNR        Count of times a guest issued
                                            Diag x'9C' and the target was in
                                            a VMDSTATE < VMDREADY
    08EC 2284 Signed       4 PLS9CWT        Count of times a guest issued
                                            Diag x'9C' and the target was
                                            found in wait state (PSW.W=1)
    08F0 2288 Signed       4 PLS9CSWT       Count of times a guest issued
                                            Diag x'9C' and the issuer had to
                                            soft-wait on the target.
    08F4 2292 Signed       4 PLS9CDSP       Count of times a guest issued
                                            Diag x'9C' and target was already
                                            dispatched
                 Additional available list replenishment counters
                 Could be moved to RSM section at a release boundary.
    08F8 2296 Signed       4 PLSALECL       count of times <2G contiguous
                                            frames available list was empty
                                            Note: cannot be used to calculate
                                            count of times <2G single
                                            frames available list was empty
    08FC 2300 Signed       4 PLSALECG       count of times >2G contiguous
                                            frames available list was empty
                                            Note: cannot be used to calculate
                                            count of times >2G single
                                            frames available list was empty
    0900 2304 Signed       4 PLSASHCL       count of times single frame taken
                                            from <2G contig frame avail
                                            list when below high threshold
    0904 2308 Signed       4 PLSASHCG       count of times single frame taken
                                            from >2G contig frame avail
                                            list when below high threshold
          QDIO fields
    0908 2312 Signed       4 PLSFOBLO       Local List lo threshold; reserved
    0910 2320 Signed       4 PLSFOBHI       Local List hi threshold; reserved
    0918 2328 Signed       8 PLSFOB1E       Unsigned count of times the Local
                                            List was found empty when a FOB
                                            was requested
    0920 2336 Signed       8 PLSFOB1T       Timestamp of the first trim
                                            request for this processor
    0928 2344 Signed       8 PLSFOBTM       Timestamp of most recent trim
                                            request for this processor
    0930 2352 Signed       4 PLSFOBEM       Unsigned count of times the FOB
                                            list for this processor was empty
                                            when a FOB was requested since
                                            the last trim request
    0934 2356 Signed       4 *              Reserved for IBM
    0938 2360 Signed       8 *              Reserved for IBM
    0940 2368 Signed       8 *              Reserved for IBM
    0948 2376 Signed       8 *              Reserved for IBM
    0950 2384 Signed       4 PLSCPD44       Count of diag 44's issued by CP
    0954 2388 Signed       4 PLSDSP9C       Count of diag 9C's issued by dsp
    0958 2392 Signed       4 PLSSYN9C       Count of diag 9C's issued by syn
    095C 2396 Signed       4 PLSHVR9C       Count of diag 9C's issued by hvr
          NDMBK Recycle Queue fields
    0960 2400 Address      4 PLSNDMAN       Anchor of local NDMBK queue
    0964 2404 Signed       4 PLSNDMCT       Count of NDMBKs on queue
    0968 2408 Signed       4 PLSNDMRQ       Count of NDMBKs that have been
                                            requested from the NDMBK recycle
                                            queues, whether satisfied or not.
    096C 2412 Signed       4 PLSNDMLO       Count of NDMBKs that have been
                                            requested from the NDMBK recycle
                                            queues and were supplied from
                                            this CPU's local NDMBK recycle
                                            queue.
    0970 2416 Signed       4 PLSNDMGL       Count of NDMBKs that have been
                                            requested from the NDMBK recycle
                                            queues and were supplied from the
                                            global NDMBK recycle queue.
    0974 2420 Signed       4 PLSNDMG2L      Count of NDMBKs that have been
                                            moved from the global NDMBK
                                            recycle queue to this CPU's local
                                            NDMBK recycle queue.
    0978 2424 Signed       4 PLSNDMDX       Count of times a task has
                                            returned a chain of NDMBKs to the
                                            local NDMBK recycle queue.
    097C 2428 Signed       4 PLSNDMRET      Total count of NDMBKs that have
                                            been returned to this CPU's local
                                            NDMBK recycle queue.
    0980 2432 Signed       4 PLSNDML2G      Count of NDMBKs that have been
                                            moved from this CPU's local NDMBK
                                            recycle queue to the global NDMBK
                                            recycle queue because the local
                                            NDMBK recycle queue was above its
                                            high threshold.
    0984 2436 Signed       4 PLSNDMREL      Count of NDMBKs that have been
                                            returned to free storage because
                                            both this CPU's local NDMBK
                                            recycle queue and the global
                                            NDMBK recycle queue were above
                                            their high thresholds.
    0988 2440 Signed       4 PLSNDMREC      Count of times a local reclaim
                                            task has been initiated on this
                                            CPU.
    098C 2444 Signed       4 PLSNDMRND      Count of NDMBKs that have been
                                            returned to free storage because
                                            a local reclaim task was
                                            initiated on this CPU.
          Cleared Local Avail List processing (CLAL)
          Fast path page fault processing. (FPPF)
          CP fast path page fault processing. (CPPF)
          The list (PFXCLAL) and count (PFXCLPLCnt)
          are in the PFXPG.
             Could be moved to RSM section at a release boundary.
    0990 2448 Signed       4 PLSCLALlo      Cleared local available list low
                                            threshold.
    0994 2452 Signed       4 PLSCLALhi      Cleared local available list high
                                            threshold.
    0998 2456 Bitstring    4 PLSCLALtrm     Perform CLAL trim every 127 SIEs;
                                            this is about 0.8% of SIEs
    099C 2460 Signed       4 *              Reserved for IBM use.
    09A0 2464 Bitstring    1 PLSCLALF0      CLAL flags byte 0
              1... ....      PLSlta         x'80' PLSlta CLAL was at/above LT
                                            at SIE The next two bits are set
                                            when a request finds the CLAL
                                            empty. EmptyI is used to decide
                                            if we should increase the
                                            thresholds (if we hit zero, and
                                            also hit LT, we should.) EmptyD
                                            is used to decide if we should
                                            decrease the thresholds. If we
                                            hit zero, we probably shouldn't.
                                            They are both set at the same
                                            time, but are reset at different
                                            intervals.
              .1.. ....      PLSEmptyI      x'40' PLSEmptyI Found empty
                                            (Increase?)
              ..1. ....      PLSEmptyD      x'20' PLSEmptyD Found empty
                                            (Decrease?)
              .11. ....      PLSEmptys      PLSEmptyI+PLSEmptyD PLSEmptys
                                            Found empty bits.
    09A1 2465 Bitstring    1 *              CLAL flags byte 1
    09A2 2466 Bitstring    1 *              CLAL flags byte 2
    09A3 2467 Bitstring    1 *              CLAL flags byte 3
    09A4 2468 Signed       4 *              Reserved for IBM use.
    09A8 2472 Signed       8 PLSCLALAdded   Number of frames that were added
                                            to the cleared local available
                                            list. Decremented only when a
                                            processor goes offline or is
                                            parked.
    09B0 2480 Signed       8 PLSCLALfwRemoved
                                            Number of frames that were
                                            removed from the cleared local
                                            available list and added to the
                                            processed list by the firmware.
                                            These would be considered ideal
                                            success cases of the CLAL.
                                            Serialized by processing list
                                            lock. (plsProLock)
    09B8 2488 Signed       8 PLSCLALTrimmed Number of frames that were
                                            trimmed from the cleared local
                                            available list when it was found
                                            over its high threshold.
    09C0 2496 Signed       8 PLSFPPFEntered Number of times fast path page
                                            fault processing was entered for
                                            a guest. Does not include VSIE
                                            guests.
    09C8 2504 Signed       8 PLSFPPFSuccess Number of times fast path page
                                            fault processing was successful
                                            for a guest.
    09D0 2512 Signed       8 PLSCPPFEntered Number of times fast path page
                                            fault processing was entered for
                                            CP.
    09D8 2520 Signed       8 PLSCPPFSuccess Number of times fast path page
                                            fault processing was successful
                                            for CP.
    09E0 2528 Signed       8 PLSCPPFMDC     Number of times fast path page
                                            fault processing exited to handle
                                            a mini-disk cache page fault.
    09E8 2536 Signed       8 PLSCLALRequests1
                                            Number of times a frame was
                                            requested from the cleared local
                                            available list. Since frames come
                                            off one at a time this is also
                                            the number of frames requested.
                                            Updated by HCPGLAVL when
                                            Monitor=yes, unless Replen=First.
                                            (Not updated if Monitor=PostNC.)
    09F0 2544 Signed       8 PLSCLALUnfilled1
                                            Number of times a request found
                                            the cleared local available list
                                            empty before attempting
                                            replenishment on demand, if so
                                            requested. Updated by HCPGLAVL
                                            when Monitor=yes, unless
                                            Replen=First. (Not updated if
                                            Monitor=PostNC.)
    09F8 2552 Signed       8 PLSCLALReplenOD
                                            Number of times a request found
                                            the cleared local available list
                                            empty and attempted replenishment
                                            on demand. Updated by HCPGLAVL
                                            when Monitor=yes. (Not updated if
                                            Monitor=PostNC.)
    0A00 2560 Signed       8 PLSCLALUnfilled2
                                            Number of times a request found
                                            the cleared local available list
                                            empty, attempted replenishment on
                                            demand and still found it empty.
                                            Updated by HCPGLAVL when
                                            Monitor=yes. (Not updated if
                                            Monitor=PostNC.)
    0A08 2568 Signed       8 PLSCLALRequests2
                                            Number of times a request found
                                            the cleared local available list
                                            empty and a no loss of control
                                            attempt was made to move frames
                                            from the cleared global available
                                            list to the CLAL. Updated by
                                            HCPGLAVL when Monitor=PostNC.
    0A10 2576 Signed       8 PLSCLALUnfilled3
                                            Number of times a request found
                                            the cleared local available list
                                            empty, a no loss of control
                                            attempt was made to move frames
                                            from the cleared global available
                                            list to the CLAL and the CLAL was
                                            still found to be empty. Updated
                                            by HCPGLAVL when Monitor=POSTNC.
    0A18 2584 Signed       8 PLSTrimCLTM    Amount of CPU time spent trimming
                                            the CLAL.
    0A20 2592 Signed       8 PLSTrimCLCT    Count of times we trimmed the
                                            CLAL.
          Cleared Global Avail List processing (CGAL)
             Could be moved to RSM section at a release boundary.
    0A28 2600 Signed       8 PLSCGALRequests
                                            Number of times we wanted to move
                                            frames from the cleared global
                                            available list to the cleared
                                            local available list.
    0A30 2608 Signed       8 PLSCGALFramesR Number of frames we wanted to
                                            move from the cleared global
                                            available list to the cleared
                                            local available list. FramesR
                                            should equal
                                            Moved+UnfilledNL+UnfilledW
    0A38 2616 Signed       8 PLSCGALMoved   Number of frames we moved from
                                            the cleared global available list
                                            to the cleared local available
                                            list.
    0A40 2624 Signed       8 PLSCGALNoLock  Number of times we could not move
                                            frames from the cleared global
                                            available list to the cleared
                                            local available list because the
                                            CGAL lock was not immediately
                                            available. (Already counted as a
                                            request.)
    0A48 2632 Signed       8 PLSCGALUnfilledNL
                                            Number of frames we could not
                                            move from the cleared global
                                            available list to the cleared
                                            local available list because the
                                            CGAL lock was not immediately
                                            available. (Already counted in
                                            requests.)
    0A50 2640 Signed       8 PLSCGALWanting (0)
                                            Number of times the cleared
                                            global available list did not
                                            have enough frames for a request.
                                            (Already counted as request.)
    0A50 2640 Signed       2 *              High half.
    0A54 2644 Signed       4 PLSGCLEM       Old name for HCPMNY use only.
    0A58 2648 Signed       8 PLSCGALUnfilledW
                                            Number of frames requested but
                                            not moved because the cleared
                                            global available list did not
                                            have enough frames for a request.
                                            (Already counted in requests.)
    0A60 2656 Bitstring    1 PLSCGALF0      CGAL flags byte 0
    0A61 2657 Bitstring    1 *              CGAL flags byte 1
    0A62 2658 Bitstring    1 *              CGAL flags byte 2
    0A63 2659 Bitstring    1 *              CGAL flags byte 3
    0A64 2660 Signed       4 *              Reserved for IBM use.
          Uncleared Local Available List and Processing (ULAL)
          See HCPHTT for information on the ULAL.
             Could be moved to RSM section at a release boundary.
    0A68 2664 Address      8 PLSULALPtr     ULAL (The actual list). Points to
                                            a FRMTE.
    0A70 2672 Signed       4 PLSULALCnt     Count of frames on the uncleared
                                            local available list.
    0A74 2676 Signed       4 PLSULALlo      Uncleared local available list
                                            low threshold.
    0A78 2680 Signed       4 PLSULALhi      Uncleared local available list
                                            high threshold.
    0A7C 2684 Bitstring    1 PLSULALF0      ULAL flags byte 0
    0A7D 2685 Bitstring    1 *              ULAL flags byte 1
    0A7E 2686 Bitstring    1 *              ULAL flags byte 2
    0A7F 2687 Bitstring    1 *              ULAL flags byte 3
    0A80 2688 Signed       8 PLSULALRequests1
                                            Number of times a frame was
                                            requested from the uncleared
                                            local available list. Since
                                            frames come off one at a time
                                            this is also the number of frames
                                            requested. Updated by HCPGLAVL
                                            when Monitor=yes, unless
                                            Replen=First.
    0A88 2696 Signed       8 PLSULALUnfilled1
                                            Number of times a request found
                                            the uncleared local available
                                            list empty before attempting
                                            replenishment on demand, if so
                                            requested. Updated by HCPGLAVL
                                            when Monitor=yes, unless
                                            Replen=First.
    0A90 2704 Signed       8 PLSULALReplenOD
                                            Number of times a request found
                                            the uncleared local available
                                            list empty and attempted
                                            replenishment on demand. Updated
                                            by HCPGLAVL when Monitor=yes.
    0A98 2712 Signed       8 PLSULALUnfilled2
                                            Number of times a request found
                                            the uncleared local available
                                            list empty, attempted
                                            replenishment on demand and still
                                            found it empty. Updated by
                                            HCPGLAVL when Monitor=yes.
    0AA0 2720 Signed       8 PLSTrimULTM    Amount of CPU time spent trimming
                                            the ULAL.
    0AA8 2728 Signed       8 PLSTrimULCT    Count of times we trimmed the
                                            ULAL.
          The following reserved fields are not used.  They have
          names in order to facilitate getting to a quadword
          boundary.  There should be 0,1,2, or 3 reserved
          fullwords followed by PLSBound1, a null double word.
         PLSRes1   DS    F            Reserved for IBM use.
         PLSRes2   DS    F            Reserved for IBM use.
         PLSRes3   DS    F            Reserved for IBM use.
    0AB0 2736 Signed       4 PLSBound1 (0)  s/b Quadword boundary. Verify
                                            that we are at qword alignment.
          Processed lists section.   PLP
          There are two processed lists.  The one that
          can be modified by hardware (PFXhwPROCL) and
          the one that can not be modified by hardware
          (PLSswProcL).  See HCPHTT for information.
             Could be moved to RSM section at a release boundary.
          The next CHKMAINT ensures that the PLSswProcL is on
          a quadword boundary.  Note, this only works because
          we know that the PLSBK is on a page boundary.  Why
          is this important?  It allows PLSswProcL and the
          count to be updated with 1 CDSG.
          Verify that we are at qword alignment.
    0AB0 2736 Address      8 PLSswProcL     Software processed list anchor
                                            See HCPHTT. The processed list
                                            may contain only FRMTEs for
                                            private pages owned by the
                                            configuration to which the
                                            dispatched VMDBK belongs, and/or
                                            for shared pages. Before losing
                                            control or releasing the dispatch
                                            share of PTIL, any code which
                                            adds a FRMTE to the processed
                                            list or sets PLSswPROCL to 1
                                            (while dispatched on the owning
                                            processor) is responsible for
                                            either calling HCPPLPPL to
                                            process the list, or setting
                                            PFXPRLWK to ask the dispatcher to
                                            do so.
    0AB8 2744 Signed       8 PLSswProcLCnt  Count of frames on the software
                                            processed list. Serialized by CS,
                                            not the ProLock.
    0AC0 2752 Signed       8 plsProLock (6) "Processing lists lock" This
                                            "lock" is obtained before reaping
                                            the processed lists on a
                                            processor and is not released
                                            until the list has been entirely
                                            processed. See HCPHTT module
                                            prolog for more information.
          Processed lists processing statistics.
    0AF0 2800 Signed       8 PLSPLPLocTM    Amount of CPU time spent
                                            processing our own processed
                                            list. (Includes time to replenish
                                            local available lists.)
    0AF8 2808 Signed       8 PLSPLPLocCT    Count of times we processed our
                                            own processed list.
    0B00 2816 Signed       8 PLSPLPReachTm  Amount of CPU time spent
                                            processing processed lists other
                                            than our own.
    0B08 2824 Signed       8 PLSPLPReachCT  Count of times we processed
                                            processed lists other than our
                                            own.
          No owned page section.
    0B10 2832 Signed       8 PLSNOORRTM     Amount of CPU time spent
                                            reclaiming resources from no-own
                                            queues.
    0B18 2840 Signed       8 PLSNOORRCT     Count of times we reclaimed
                                            resources from no owned queues.
                 HOST SHARE IPTE INTERLOCK STATISTICS
                 These statistics comprise:
                 1) a quintuple of metrics that records IPTE
                    Interlock acquisition and wait-time
                    characteristics.
                       <PLSIPTEI, PLSIIA, PLSIIADD, PLSIIWTM,
                        PLSIIWTSSQ>
                 2) a triple of metrics that records IPTE Interlock
                    continuous hold-time characteristics.
                       <PLSIINHLD, PLSIIHLD, PLSIIHDSSQ>
                 SERIALIZED :
                 Updates to these tuples should be performed while
                 running under the processor associated with this
                 PLSBK as long as the following protocol is observed
                 by both reader and writer:
                 1) On writing a tuple, the marker field (PLSIPTEI
                    or PLSIINHLD) is incremented making it odd.
                 2) The remaining members of the tuple are updated.
                 3) The marker field is incremented a second
                    time making an even value of twice the count
                    represented by this field and indicating to
                    readers that the tuple is in a self-consistent
                    update state.
                 A reader should loop taking a copy of the tuple
                 to be extracted until the copied marker field
                 (PLSIPTEI or PLSIINHLD) is even and is equal to
                 the current value in the PLSBK.
          Verify that we are at qword alignment.
    0B20 2848 Bitstring   16 * (0)          Quadword aligned (NB cannot use
                                            SECTALIGN or implicit length)
    0B20 2848 Bitstring   64 PLSISTATS (0)  IPTE Interlock Stats Quadword
                                            aligned.
    0B20 2848 Signed       4 PLSIPTEI       Count of host share IPTE
                                            Interlock acquisitions. When odd,
                                            an update is in progress for the
                                            lock-acquisition stats quintuple.
                                            When even, twice the count of
                                            times a host share of an IPTE
                                            Interlock was acquired using
                                            method 1 or 2.
    0B24 2852 Signed       4 PLSIIA         Count of times when a host share
                                            of an IPTE Interlock was acquired
                                            using method 2.
    0B28 2856 Signed       4 PLSIIADD       Count of times when a host share
                                            of an IPTE Interlock was acquired
                                            as an additional host share.
    0B2C 2860 Signed       4 PLSIINHLD      Count of intervals over which one
                                            or more host shares of an IPTE
                                            Interlock were continuously held.
                                            When odd, an update is in
                                            progress for the lock-hold stats
                                            triple. When even, twice the
                                            count of times a host share was
                                            continuously held.
          Verify that we are at qword alignment.
    0B30 2864 Bitstring   16 PLSIIWTSSQ     Sum of squared time spent waiting
                                            for a host share of an IPTE
                                            Interlock.
    0B40 2880 Dbl-Word     8 PLSIIWTM       Cumulative amount of time spent
                                            waiting for a host share of an
                                            IPTE Interlock.
    0B48 2888 Dbl-Word     8 PLSIIHLD       Cumulative amount of time one or
                                            more host shares of an IPTE
                                            Interlock were continuously held.
          Verify that we are at qword alignment.
    0B50 2896 Bitstring   16 PLSIIHDSSQ     Sum of squared time one or more
                                            host shares of an IPTE interlock
                                            were continuously held.
              00000040       PLSISTLN       *-PLSISTATS Length of IPTE
                                            Interlock Stats
          Array of data structures, each containing statistics on a
          single DAT-serializing guest instruction (i.e. one that is
          subject to interception if an IPTE interlock is held).
          Array entries are ordered according to the sequence in which
          intercepted DS guest instructions are decoded in HCPFSTPT.
          Entry fields should be accessed directly from the array
          using an index register whose value is set to multiples of
          PLSRDSTLN. However specific entries per DS opcode are mapped
          by the PLSBK DSECT and may be loaded directly two 64-bit
          registers.
          Fields for the first array entry are mapped explicitly as
          follows:
          PLSRDCNT records the total number of redrive attempts per
          DAT serializing instruction supported for guest use.
          PLSRDICT records the number of times a DAT serializing
          instruction is completed following interception and redrive
          attempts.
          PLSRDSSQ records the sum of squares of redrive attempts
          per instance of DAT serializing instruction supported for
          guest use.
          PLSRDCNT/PLSRDICT provides the mean number of redrives
          per completed instance of intercepted guest DS op.
          PLSRDSSQ/PLSRDICT provides the mean square number of
          redrives per completed instance of intercepted guest DS op.
          If the squared mean is subtracted from the mean square we
          derive the variance of the number of redrives per completed
          instance of an intercepted guest DS op.
          Entries are updated by HCPFSTPT using STPQ and read by
          Monitor (HCPMNP) using LPQ to ensure quadword-concurrency.
          The ordering of the fields within an array entry is
          mandated by the update logic in HCPFTSPT. However, when
          sampled by Monitor and recorded in a D5 R11 monitor record
          the fields are ordered more naturally for the consumer of
          Monitor data, that is:
                    <N, Sigma x, Sigma x*x>
          which corresponds to:
                    <PLSRDICT, PLSRDCNT, PLSRDSSQ>
          Verify that we are at qword alignment.
    0B60 2912 Bitstring   16 * (0)          Quadword alignment
    0B60 2912 Bitstring  160 PLSRDSTATS (0) Redrive stats table
    0B60 2912 Dbl-Word     8 PLSRDCTS       Word length counts accessed as a
                                            pair
    0B60 2912 Signed       4 PLSRDCNT       Sum of redrives accumulated for
                                            each instance of an intercepted
                                            guest DS op.
    0B64 2916 Signed       4 PLSRDICT       Redriven instruction instances.
    0B68 2920 Dbl-Word     8 PLSRDSSQ       Sum of squares of redrives per
                                            redriven instruction instance.
    0B68 2920 Signed       4 PLSRDSQ0
    0B6C 2924 Signed       4 PLSRDSQ1
              00000010       PLSRDSTLN      *-PLSRDSTATS Length of table
                                            entry
    0B60 2912 Bitstring   16 PLSRDSENTRY    Redrive stats table entry
    0B60 2912 Bitstring   16 PLSRDIPTE      IPTE redrive table entry
    0B70 2928 Bitstring   16 PLSRDIDTE      IDTE redrive table entry
    0B80 2944 Bitstring   16 PLSRDCSP       CSP redrive table entry
    0B90 2960 Bitstring   16 PLSRDCSPG      CSPG redrive table entry
    0BA0 2976 Bitstring    1 * (6)          reserved space for 6 additional
                                            entries.
           Page Encryption area
    0C00 3072 Address      8 PLSWRKEY       Encryption key work block
    0C08 3080 Signed       4 PLSEncryptPages
                                            Cumulative number of pages
                                            encrypted by the paging subsystem
    0C0C 3084 Signed       4 PLSDecryptPages
                                            Cumulative number of pages
                                            decrypted by the paging subsystem
    0C10 3088 Dbl-Word     8 PLSEncptCPUtime
                                            Cumulative raw CPU Time (TOD
                                            clock units) doing page
                                            encryption for the paging
                                            subsystem
    0C18 3096 Dbl-Word     8 PLSDecptCPUtime
                                            Cumulative raw CPU Time (TOD
                                            clock units) doing page
                                            decryption for the paging
                                            subsystem
           STHYI Function Code Statistics
    0C20 3104 Signed       8 PLSSTHYI0T     STHYI FC=0 simulation time as
                                            cumulative elapsed TOD deltas.
    0C28 3112 Signed       4 PLSSTHYI0C     Unsigned count of STHYI FC=0
                                            simulations for authorized users.
    0C2C 3116 Signed       4 PLSSTHYI1C     Unsigned count of STHYI FC=1
                                            simulations for authorized users.
    0C30 3120 Signed       8 PLSSTHYI1T     STHYI FC=1 simulation time as
                                            cumulative elapsed TOD deltas.
    0C38 3128 Signed       8 PLSSTHYI2T     STHYI FC=2 simulation time as
                                            cumulative elapsed TOD deltas.
    0C40 3136 Signed       4 PLSSTHYI2C     Unsigned count of STHYI FC=2
                                            simulations for authorized users.
    0C44 3140 Signed       4 PLSSTHYI3C     Unsigned count of STHYI FC=3
                                            simulations for authorized users.
    0C48 3144 Signed       8 PLSSTHYI3T     STHYI FC=3 simulation time as
                                            cumulative elapsed TOD deltas.
    0C50 3152 Signed       8 PLSSTHYI4T     STHYI FC=4 simulation time as
                                            cumulative elapsed TOD deltas.
    0C58 3160 Signed       4 PLSSTHYI4C     Unsigned count of STHYI FC=4
                                            simulations for authorized users.
    0C5C 3164 Signed       4 PLSSTHYI5C     Unsigned count of STHYI FC=5
                                            simulations for authorized users.
    0C60 3168 Signed       8 PLSSTHYI5T     STHYI FC=5 simulation time as
                                            cumulative elapsed TOD deltas.
    0C68 3176 Signed       8 PLSSTHYI6T     STHYI FC=6 simulation time as
                                            cumulative elapsed TOD deltas.
    0C70 3184 Signed       4 PLSSTHYI6C     Unsigned count of STHYI FC=6
                                            simulations for authorized users.
    0C74 3188 Signed       4 *              Reserved for IBM use
           Monitor fields for SYTPRP_PFXTOTWT calculations.
    0C78 3192 Signed       8 PLSTOTWT       Most recent SYTPRP_PFXTOTWT value
                                            reported for this processor. This
                                            field is serialized by the
                                            Monitor command lock
                                            (MND_CMD_LOCK).
    0C80 3200 Signed       8 PLSTOTWTLO     Largest amount PLSTOTWT was lower
                                            than SYTPRP_PFXTOTWT since this
                                            processor was brought online.
                                            Serialized by the Monitor command
                                            lock (MND_CMD_LOCK).
          UNASSIGNED AREA - Control block reserved space
           NOTES      : The control block reserved area value in
                 this COPY file should equal the value in
                 PLXCOPY version for this control block.
          Verify that we are at dword alignment.
          Unassigned space is from here to the end of the PLSBK
              00000378       PLSLSLEN       (4096-(*-PLSBK))
    0C88 3208 Bitstring    1 PLSUSPAC (888)
              00001000       PLSBKLEN       (*-PLSBK) Size of PLSBK in bytes
                                            The following macro invocation
                                            ensures the length of the PLSBK
                                            is exactly 4096 bytes (one 4K
                                            page).

PLSBK Storage Layout | Top of page

    *** PLSBK - PROCESSOR LOCAL STORAGE BLOCK
    *
    *     +---------------------------+---------------------------+
    *   0 |         PLSPIOPR          |         PLSPIOSR          |
    *     +---------------------------+---------------------------+
    *   8 |         PLSPIOPW          |         PLSPIOSW          |
    *     +---------------------------+---------------------------+
    *  10 |         PLSPAGPS          |         PLSCTMPN          |
    *     +---------------------------+---------------------------+
    *  18 |         PLSCTPGN          |         PLSCTPGO          |
    *     +---------------------------+---------------------------+
    *  20 |         PLSABNCT          |                           |
    *     +---------------------------+                           |
    *  28 |                                                       |
    *     =                       PLSASRWK                        =
    *     |                                                       |
    *     +---------------------------+---------------------------+
    *  90 |         PLSXITCT          |         PLSTSEAR          |
    *     +---------------------------+---------------------------+
    *  98 |         PLSDSPCW          |         PLSEXTNX          |
    *     +---------------------------+---------------------------+
    *  A0 |         PLSTRQPC          |         PLSEXTNC          |
    *     +---------------------------+---------------------------+
    *  A8 |         PLSMCHCT          |         PLSSVCCT          |
    *     +---------------------------+---------------------------+
    *  B0 |         PLSTRQCF          |         PLSDSPCN          |
    *     +---------------------------+---------------------------+
    *  B8 |///////////////////////////|         PLSDSPCM          |
    *     +---------------------------+---------------------------+
    *  C0 |         PLSDSWCU          |         PLSPTLCS          |
    *     +---------------------------+---------------------------+
    *  C8 |         PLSPTLCL          |         PLSPTLCD          |
    *     +---------------------------+---------------------------+
    *  D0 |         PLSPTLCA          |         PLSSTKCD          |
    *     +---------------------------+---------------------------+
    *  D8 |         PLSSTKPE          |         PLSSTKCI          |
    *     +---------------------------+---------------------------+
    *  E0 |         PLSSTKCC          |         PLSSTKCS          |
    *     +---------------------------+---------------------------+
    *  E8 |         PLSSTKCW          |         PLSSTKGS          |
    *     +---------------------------+---------------------------+
    *  F0 |         PLSSTKCM          |         PLSSTKCJ          |
    *     +---------------------------+---------------------------+
    *  F8 |         PLSSTKCH          |                           |
    *     +---------------------------+                           |
    * 100 |                                                       |
    *     =                       PLSSTLTL                        =
    *     |                           +---------------------------+
    * 110 |                           |///////////////////////////|
    *     +-------------+-------------+-------------+-------------+
    * 118 |/////////////|  PLSCUHAF   |  PLSEFRC1   |  PLSEFRC2   |
    *     +-------------+-------------+-------------+-------------+
    * 120 |  PLSEFRC3   |  PLSEQKAD   |///////////////////////////|
    *     +-------------+-------------+---------------------------+
    * 128 |                       PLSLKDLY                        |
    *     +-------------------------------------------------------+
    * 130 |                       PLSLKDIO                        |
    *     +---------------------------+---------------------------+
    * 138 |         PLSLKMAX          |         PLSLKVMD          |
    *     +---------------------------+-------------+-------------+
    * 140 |                PLSLKMOD                 |  PLSLKOFS   |
    *     +---------------------------+-------------+-------------+
    * 148 |         PLSPGDRD          |         PLSPGDWT          |
    *     +---------------------------+---------------------------+
    * 150 |         PLSSTLWT          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 158 |         PLSALNCT          |         PLSALEMP          |
    *     +---------------------------+---------------------------+
    * 160 |         PLSRETFR          |         PLSALNCG          |
    *     +---------------------------+---------------------------+
    * 168 |         PLSALEMG          |         PLSRETFG          |
    *     +---------------------------+---------------------------+
    * 170 |         PLSASFCL          |         PLSASFCG          |
    *     +---------------------------+---------------------------+
    * 178 |                       PLSBGCTM                        |
    *     +---------------------------+---------------------------+
    * 180 |         PLSBGCNT          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 188 |                       PLSFGCTM                        |
    *     +---------------------------+---------------------------+
    * 190 |         PLSFGCNT          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 198 |                     PLSTRIMCGTM                       |
    *     +-------------------------------------------------------+
    * 1A0 |                     PLSTRIMCGCT                       |
    *     +---------------------------+---------------------------+
    * 1A8 |         PLSSTPAG          |         PLSPUPAG          |
    *     +---------------------------+---------------------------+
    * 1B0 |         PLSUPAGE          |         PLSVPAGE          |
    *     +---------------------------+---------------------------+
    * 1B8 |         PLSPCPAG          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 1C0 |         PLSSTLFR          |         PLSFSPGA          |
    *     +---------------------------+---------------------------+
    * 1C8 |         PLSFSPGB          |         PLSFSCTA          |
    *     +---------------------------+---------------------------+
    * 1D0 |         PLSFSCTB          |         PLSFSSGA          |
    *     +---------------------------+---------------------------+
    * 1D8 |         PLSFSSGB          |         PLSFSSRA          |
    *     +---------------------------+---------------------------+
    * 1E0 |         PLSFSSRB          |         PLSFSPRA          |
    *     +---------------------------+---------------------------+
    * 1E8 |         PLSFSPRB          |         PLSFRETA          |
    *     +---------------------------+---------------------------+
    * 1F0 |         PLSFRETB          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 1F8 |         PLSPRQDF          |         PLSPNEW           |
    *     +---------------------------+---------------------------+
    * 200 |         PLSPREAD          |         PLSSHRRD          |
    *     +---------------------------+---------------------------+
    * 208 |         PLSRELES          |         PLSRELFR          |
    *     +---------------------------+---------------------------+
    * 210 |         PLSURFTF          |         PLSASARL          |
    *     +---------------------------+---------------------------+
    * 218 |         PLSPGIN           |         PLSPGOUT          |
    *     +---------------------------+---------------------------+
    * 220 |         PLSPGXRD          |         PLSPGXWT          |
    *     +---------------------------+---------------------------+
    * 228 |         PLSPGMRX          |         PLSPGMRD          |
    *     +---------------------------+---------------------------+
    * 230 |         PLSMVB2G          |         PLSMVABV          |
    *     +---------------------------+---------------------------+
    * 238 |         PLSSUTKC          |         PLSSURTC          |
    *     +---------------------------+---------------------------+
    * 240 |         PLSSUPUC          |         PLSSUQMT          |
    *     +---------------------------+---------------------------+
    * 248 |         PLSSATKC          |         PLSSARTC          |
    *     +---------------------------+---------------------------+
    * 250 |         PLSSAPUC          |         PLSSAQMT          |
    *     +---------------------------+---------------------------+
    * 258 |         PLSSBTKC          |         PLSSBRTC          |
    *     +---------------------------+---------------------------+
    * 260 |         PLSSBPUC          |         PLSSBQMT          |
    *     +---------------------------+---------------------------+
    * 268 |         PLSSXALS          |         PLSSXADC          |
    *     +---------------------------+---------------------------+
    * 270 |         PLSSXACC          |         PLSSXARC          |
    *     +---------------------------+---------------------------+
    * 278 |         PLSSXAQC          |         PLSSXASC          |
    *     +---------------------------+---------------------------+
    * 280 |         PLSSXAFC          |         PLSSXALD          |
    *     +---------------------------+---------------------------+
    * 288 |         PLSSPFSC          |         PLSSPGFC          |
    *     +---------------------------+---------------------------+
    * 290 |         PLSSPGPC          |         PLSSPGCC          |
    *     +---------------------------+---------------------------+
    * 298 |         PLSSPGCT          |         PLSSPRFC          |
    *     +---------------------------+---------------------------+
    * 2A0 |         PLSSPRPC          |         PLSSPRCC          |
    *     +---------------------------+---------------------------+
    * 2A8 |         PLSSPRCT          |         PLSSPRQC          |
    *     +---------------------------+---------------------------+
    * 2B0 |         PLSSPRQT          |         PLSSPNDP          |
    *     +---------------------------+---------------------------+
    * 2B8 |         PLSSPNDF          |         PLSSPGPD          |
    *     +---------------------------+---------------------------+
    * 2C0 |         PLSSPGFD          |         PLSSPGBD          |
    *     +---------------------------+---------------------------+
    * 2C8 |         PLSSPDQC          |         PLSSXIPC          |
    *     +---------------------------+---------------------------+
    * 2D0 |         PLSSXNST          |         PLSSXCSP          |
    *     +---------------------------+---------------------------+
    * 2D8 |         PLSSXREP          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 2E0 |         PLSAVLBF          |         PLSAVLBN          |
    *     +---------------------------+---------------------------+
    * 2E8 |         PLSAVLAF          |         PLSAVLAN          |
    *     +---------------------------+---------------------------+
    * 2F0 |      PLSLTPINMOVED        |     PLSLTPINNOTMOVED      |
    *     +---------------------------+---------------------------+
    * 2F8 |    PLSPINWHILEVACATE      |     PLSLTPINNOTFIRST      |
    *     +---------------------------+---------------------------+
    * 300 |///////////////////////////////////////////////////////|
    *     =///////////////////////////////////////////////////////=
    *     |///////////////////////////////////////////////////////|
    *     +---------------------------+---------------------------+
    * 340 |         PLSIUCVT          |         PLSISEMA          |
    *     +---------------------------+---------------------------+
    * 348 |         PLSISEM           |         PLSISEBL          |
    *     +---------------------------+---------------------------+
    * 350 |         PLSISERA          |         PLSISEMO          |
    *     +---------------------------+---------------------------+
    * 358 |         PLSISESI          |         PLSISECC          |
    *     +---------------------------+---------------------------+
    * 360 |         PLSISESP          |         PLSISESY          |
    *     +---------------------------+---------------------------+
    * 368 |         PLSISEAC          |         PLSISELO          |
    *     +---------------------------+---------------------------+
    * 370 |         PLSISECR          |         PLSISEID          |
    *     +---------------------------+---------------------------+
    * 378 |         PLSISECF          |         PLSISEVS          |
    *     +---------------------------+---------------------------+
    * 380 |         PLSISEAS          |         PLSISESC          |
    *     +---------------------------+---------------------------+
    * 388 |         PLSISEVE          |///////////////////////////|
    *     +---------------------------+///////////////////////////|
    *     |///////////////////////////////////////////////////////|
    *     +---------------------------+---------------------------+
    * 398 |         PLSISTMA          |         PLSISTM           |
    *     +---------------------------+---------------------------+
    * 3A0 |         PLSISTBL          |         PLSISTRA          |
    *     +---------------------------+---------------------------+
    * 3A8 |         PLSISTMO          |         PLSISTSI          |
    *     +---------------------------+---------------------------+
    * 3B0 |         PLSISTCC          |         PLSISTSP          |
    *     +---------------------------+---------------------------+
    * 3B8 |         PLSISTSY          |         PLSISTAC          |
    *     +---------------------------+---------------------------+
    * 3C0 |         PLSISTLO          |         PLSISTCR          |
    *     +---------------------------+---------------------------+
    * 3C8 |         PLSISTID          |         PLSISTCF          |
    *     +---------------------------+---------------------------+
    * 3D0 |         PLSISTVS          |         PLSISTAS          |
    *     +---------------------------+---------------------------+
    * 3D8 |         PLSISTSC          |         PLSISTVE          |
    *     +---------------------------+---------------------------+
    * 3E0 |///////////////////////////////////////////////////////|
    *     |///////////////////////////+---------------------------+
    * 3E8 |///////////////////////////|         PLSISUMA          |
    *     +---------------------------+---------------------------+
    * 3F0 |         PLSISUM           |         PLSISUBL          |
    *     +---------------------------+---------------------------+
    * 3F8 |         PLSISURA          |         PLSISUMO          |
    *     +---------------------------+---------------------------+
    * 400 |         PLSISUSI          |         PLSISUCC          |
    *     +---------------------------+---------------------------+
    * 408 |         PLSISUSP          |         PLSISUSY          |
    *     +---------------------------+---------------------------+
    * 410 |         PLSISUAC          |         PLSISULO          |
    *     +---------------------------+---------------------------+
    * 418 |         PLSISUCR          |         PLSISUID          |
    *     +---------------------------+---------------------------+
    * 420 |         PLSISUCF          |         PLSISUVS          |
    *     +---------------------------+---------------------------+
    * 428 |         PLSISUAS          |         PLSISUSC          |
    *     +---------------------------+---------------------------+
    * 430 |         PLSISUVE          |///////////////////////////|
    *     +---------------------------+///////////////////////////|
    *     |///////////////////////////////////////////////////////|
    *     +---------------------------+---------------------------+
    * 440 |         PLSISEVM          |         PLSISTVM          |
    *     +---------------------------+---------------------------+
    * 448 |         PLSISUVM          |         PLSVSEVM          |
    *     +---------------------------+---------------------------+
    * 450 |         PLSVSTVM          |         PLSVSUVM          |
    *     +---------------------------+---------------------------+
    * 458 |         PLSCTSS           |         PLSCTRS           |
    *     +---------------------------+---------------------------+
    * 460 |         PLSCTCS           |         PLSCTHS           |
    *     +---------------------------+---------------------------+
    * 468 |         PLSCTSI           |         PLSCTUI           |
    *     +---------------------------+---------------------------+
    * 470 |         PLSCPSUS          |         PLSSSDSD          |
    *     +---------------------------+---------------------------+
    * 478 |         PLSPCVSC          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 480 |         PLSSSCHC          |         PLSRSCHC          |
    *     +---------------------------+---------------------------+
    * 488 |         PLSSIOCT          |         PLSSIOFC          |
    *     +---------------------------+---------------------------+
    * 490 |         PLSTCCC           |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 498 |         PLSIORCT          |         PLSVDISK          |
    *     +---------------------------+---------------------------+
    * 4A0 |         PLS250IR          |         PLSCCWLP          |
    *     +---------------------------+---------------------------+
    * 4A8 |         PLSVWRIT          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 4B0 |         PLSDGX00          |         PLSDGX04          |
    *     +---------------------------+---------------------------+
    * 4B8 |         PLSDGX08          |         PLSDGX0C          |
    *     +---------------------------+---------------------------+
    * 4C0 |         PLSDGX10          |         PLSDGX14          |
    *     +---------------------------+---------------------------+
    * 4C8 |         PLSDGX18          |         PLSDGX1C          |
    *     +---------------------------+---------------------------+
    * 4D0 |         PLSDGX20          |         PLSDGX24          |
    *     +---------------------------+---------------------------+
    * 4D8 |         PLSDGX28          |         PLSDGX2C          |
    *     +---------------------------+---------------------------+
    * 4E0 |         PLSDGX30          |         PLSDGX34          |
    *     +---------------------------+---------------------------+
    * 4E8 |         PLSDGX38          |         PLSDGX3C          |
    *     +---------------------------+---------------------------+
    * 4F0 |         PLSDGX40          |         PLSDGX44          |
    *     +---------------------------+---------------------------+
    * 4F8 |         PLSDGX48          |         PLSDGX4C          |
    *     +---------------------------+---------------------------+
    * 500 |         PLSDGX50          |         PLSDGX54          |
    *     +---------------------------+---------------------------+
    * 508 |         PLSDGX58          |         PLSDGX5C          |
    *     +---------------------------+---------------------------+
    * 510 |         PLSDGX60          |         PLSDGX64          |
    *     +---------------------------+---------------------------+
    * 518 |         PLSDGX68          |         PLSDGX6C          |
    *     +---------------------------+---------------------------+
    * 520 |         PLSDGX70          |         PLSDGX74          |
    *     +---------------------------+---------------------------+
    * 528 |         PLSDGX78          |         PLSDGX7C          |
    *     +---------------------------+---------------------------+
    * 530 |         PLSDGX80          |         PLSDGX84          |
    *     +---------------------------+---------------------------+
    * 538 |         PLSDGX88          |         PLSDGX8C          |
    *     +---------------------------+---------------------------+
    * 540 |         PLSDGX90          |         PLSDGX94          |
    *     +---------------------------+---------------------------+
    * 548 |         PLSDGX98          |         PLSDGX9C          |
    *     +---------------------------+---------------------------+
    * 550 |         PLSDGXA0          |         PLSDGXA4          |
    *     +---------------------------+---------------------------+
    * 558 |         PLSDGXA8          |         PLSDGXAC          |
    *     +---------------------------+---------------------------+
    * 560 |         PLSDGXB0          |         PLSDGXB4          |
    *     +---------------------------+---------------------------+
    * 568 |         PLSDGXB8          |         PLSDGXBC          |
    *     +---------------------------+---------------------------+
    * 570 |         PLSDGXC0          |         PLSDGXC4          |
    *     +---------------------------+---------------------------+
    * 578 |         PLSDGXC8          |         PLSDGXCC          |
    *     +---------------------------+---------------------------+
    * 580 |         PLSDGXD0          |         PLSDGXD4          |
    *     +---------------------------+---------------------------+
    * 588 |         PLSDGXD8          |         PLSDGXDC          |
    *     +---------------------------+---------------------------+
    * 590 |         PLSDGXE0          |         PLSDGXE4          |
    *     +---------------------------+---------------------------+
    * 598 |         PLSDGXE8          |         PLSDGXEC          |
    *     +---------------------------+---------------------------+
    * 5A0 |         PLSDGXF0          |         PLSDGXF4          |
    *     +---------------------------+---------------------------+
    * 5A8 |         PLSDGXF8          |         PLSDGXFC          |
    *     +---------------------------+---------------------------+
    * 5B0 |         PLSDG200          |         PLSDG204          |
    *     +---------------------------+---------------------------+
    * 5B8 |         PLSDG208          |         PLSDG20C          |
    *     +---------------------------+---------------------------+
    * 5C0 |         PLSDG210          |         PLSDG214          |
    *     +---------------------------+---------------------------+
    * 5C8 |         PLSDG218          |         PLSDG21C          |
    *     +---------------------------+---------------------------+
    * 5D0 |         PLSDG220          |         PLSDG224          |
    *     +---------------------------+---------------------------+
    * 5D8 |         PLSDG228          |         PLSDG22C          |
    *     +---------------------------+---------------------------+
    * 5E0 |         PLSDG230          |         PLSDG234          |
    *     +---------------------------+---------------------------+
    * 5E8 |         PLSDG238          |         PLSDG23C          |
    *     +---------------------------+---------------------------+
    * 5F0 |         PLSDG240          |         PLSDG244          |
    *     +---------------------------+---------------------------+
    * 5F8 |         PLSDG248          |         PLSDG24C          |
    *     +---------------------------+---------------------------+
    * 600 |         PLSDG250          |         PLSDG254          |
    *     +---------------------------+---------------------------+
    * 608 |         PLSDG258          |         PLSDG25C          |
    *     +---------------------------+---------------------------+
    * 610 |         PLSDG260          |         PLSDG264          |
    *     +---------------------------+---------------------------+
    * 618 |         PLSDG268          |         PLSDG26C          |
    *     +---------------------------+---------------------------+
    * 620 |         PLSDG270          |         PLSDG274          |
    *     +---------------------------+---------------------------+
    * 628 |         PLSDG278          |         PLSDG27C          |
    *     +---------------------------+---------------------------+
    * 630 |         PLSDG280          |         PLSDG284          |
    *     +---------------------------+---------------------------+
    * 638 |         PLSDG288          |         PLSDG28C          |
    *     +---------------------------+---------------------------+
    * 640 |         PLSDG290          |         PLSDG294          |
    *     +---------------------------+---------------------------+
    * 648 |         PLSDG298          |         PLSDG29C          |
    *     +---------------------------+---------------------------+
    * 650 |         PLSDG2A0          |         PLSDG2A4          |
    *     +---------------------------+---------------------------+
    * 658 |         PLSDG2A8          |         PLSDG2AC          |
    *     +---------------------------+---------------------------+
    * 660 |         PLSDG2B0          |         PLSDG2B4          |
    *     +---------------------------+---------------------------+
    * 668 |         PLSDG2B8          |         PLSDG2BC          |
    *     +---------------------------+---------------------------+
    * 670 |         PLSDG2C0          |         PLSDG2C4          |
    *     +---------------------------+---------------------------+
    * 678 |         PLSDG2C8          |         PLSDG2CC          |
    *     +---------------------------+---------------------------+
    * 680 |         PLSDG2D0          |         PLSDG2D4          |
    *     +---------------------------+---------------------------+
    * 688 |         PLSDG2D8          |         PLSDG2DC          |
    *     +---------------------------+---------------------------+
    * 690 |         PLSDG2E0          |         PLSDG2E4          |
    *     +---------------------------+---------------------------+
    * 698 |         PLSDG2E8          |         PLSDG2EC          |
    *     +---------------------------+---------------------------+
    * 6A0 |         PLSDG2F0          |         PLSDG2F4          |
    *     +---------------------------+---------------------------+
    * 6A8 |         PLSDG2F8          |         PLSDG2FC          |
    *     +---------------------------+---------------------------+
    * 6B0 |         PLSDG300          |         PLSDG304          |
    *     +---------------------------+---------------------------+
    * 6B8 |         PLSDG308          |         PLSDG30C          |
    *     +---------------------------+---------------------------+
    * 6C0 |         PLSDG310          |         PLSDG314          |
    *     +---------------------------+---------------------------+
    * 6C8 |         PLSDG318          |         PLSDG31C          |
    *     +---------------------------+---------------------------+
    * 6D0 |         PLSDG320          |         PLSDG324          |
    *     +---------------------------+---------------------------+
    * 6D8 |         PLSDG328          |         PLSDG32C          |
    *     +---------------------------+---------------------------+
    * 6E0 |         PLSDG330          |         PLSDG334          |
    *     +---------------------------+---------------------------+
    * 6E8 |         PLSDG338          |         PLSDG33C          |
    *     +---------------------------+---------------------------+
    * 6F0 |         PLSDG340          |         PLSDG344          |
    *     +---------------------------+---------------------------+
    * 6F8 |         PLSDG348          |         PLSDG34C          |
    *     +---------------------------+---------------------------+
    * 700 |         PLSDG350          |         PLSDG354          |
    *     +---------------------------+---------------------------+
    * 708 |         PLSDG358          |         PLSDG35C          |
    *     +---------------------------+---------------------------+
    * 710 |         PLSDG360          |         PLSDG364          |
    *     +---------------------------+---------------------------+
    * 718 |         PLSDG368          |         PLSDG36C          |
    *     +---------------------------+---------------------------+
    * 720 |         PLSDG370          |         PLSDG374          |
    *     +---------------------------+---------------------------+
    * 728 |         PLSDG378          |         PLSDG37C          |
    *     +---------------------------+---------------------------+
    * 730 |         PLSDG380          |         PLSDG384          |
    *     +---------------------------+---------------------------+
    * 738 |         PLSDG388          |         PLSDG38C          |
    *     +---------------------------+---------------------------+
    * 740 |         PLSDG390          |         PLSDG394          |
    *     +---------------------------+---------------------------+
    * 748 |         PLSDG398          |         PLSDG39C          |
    *     +---------------------------+---------------------------+
    * 750 |         PLSDG3A0          |         PLSDG3A4          |
    *     +---------------------------+---------------------------+
    * 758 |         PLSDG3A8          |         PLSDG3AC          |
    *     +---------------------------+---------------------------+
    * 760 |         PLSDG3B0          |         PLSDG3B4          |
    *     +---------------------------+---------------------------+
    * 768 |         PLSDG3B8          |         PLSDG3BC          |
    *     +---------------------------+---------------------------+
    * 770 |         PLSDG3C0          |         PLSDG3C4          |
    *     +---------------------------+---------------------------+
    * 778 |         PLSDG3C8          |         PLSDG3CC          |
    *     +---------------------------+---------------------------+
    * 780 |         PLSDG3D0          |         PLSDG3D4          |
    *     +---------------------------+---------------------------+
    * 788 |         PLSDG3D8          |         PLSDG3DC          |
    *     +---------------------------+---------------------------+
    * 790 |         PLSDG3E0          |         PLSDG3E4          |
    *     +---------------------------+---------------------------+
    * 798 |         PLSDG3E8          |         PLSDG3EC          |
    *     +---------------------------+---------------------------+
    * 7A0 |         PLSDG3F0          |         PLSDG3F4          |
    *     +---------------------------+---------------------------+
    * 7A8 |         PLSDG3F8          |         PLSDG3FC          |
    *     +---------------------------+---------------------------+
    * 7B0 |         PLSDIAGT          |         PLSDGUCT          |
    *     +---------------------------+---------------------------+
    * 7B8 |         PLSVIXLD          |         PLSVIXIU          |
    *     +---------------------------+---------------------------+
    * 7C0 |         PLSVIXVM          |         PLSCFMCK          |
    *     +---------------------------+---------------------------+
    * 7C8 |///////////////////////////|         PLSSCKPF          |
    *     +---------------------------+---------------------------+
    * 7D0 |         PLSWRUCI          |         PLSWRUCP          |
    *     +---------------------------+---------------------------+
    * 7D8 |         PLSVATCL          |         PLSVATCA          |
    *     +---------------------------+---------------------------+
    * 7E0 |         PLSTMRCE          |         PLSBISST          |
    *     +---------------------------+---------------------------+
    * 7E8 |///////////////////////////|         PLSVOPIF          |
    *     +---------------------------+---------------------------+
    * 7F0 |         PLSVIXEX          |         PLSMCVMC          |
    *     +---------------------------+---------------------------+
    * 7F8 |         PLSGIRPG          |         PLSPRVSC          |
    *     +---------------------------+---------------------------+
    * 800 |         PLSTMRCO          |         PLSVIPRC          |
    *     +---------------------------+---------------------------+
    * 808 |         PLSVIPRS          |         PLSPRVIS          |
    *     +---------------------------+---------------------------+
    * 810 |         PLSBISCP          |         PLSBISAS          |
    *     +---------------------------+---------------------------+
    * 818 |         PLSBISBT          |         PLSBISPB          |
    *     +---------------------------+---------------------------+
    * 820 |         PLSBISSI          |         PLSBISTE          |
    *     +---------------------------+---------------------------+
    * 828 |         PLSBISXE          |         PLSBISXS          |
    *     +---------------------------+---------------------------+
    * 830 |         PLSBISIU          |         PLSKEYIE          |
    *     +---------------------------+---------------------------+
    * 838 |         PLSKEYIK          |         PLSKEYRE          |
    *     +---------------------------+---------------------------+
    * 840 |         PLSKEYRR          |         PLSKEYSE          |
    *     +---------------------------+---------------------------+
    * 848 |         PLSKEYSK          |         PLSPRVGP          |
    *     +---------------------------+---------------------------+
    * 850 |         PLSPRVLC          |         PLSPRVLP          |
    *     +---------------------------+---------------------------+
    * 858 |         PLSPRVMN          |         PLSPRVMO          |
    *     +---------------------------+---------------------------+
    * 860 |         PLSPRVMS          |         PLSPRVSV          |
    *     +---------------------------+---------------------------+
    * 868 |         PLSPRVTC          |         PLSPRVTP          |
    *     +---------------------------+---------------------------+
    * 870 |         PLSPRVVN          |         PLSVPTNV          |
    *     +---------------------------+---------------------------+
    * 878 |         PLSXPGIN          |         PLSXPGOU          |
    *     +---------------------------+---------------------------+
    * 880 |         PLSPRVLG          |         PLSPRVSG          |
    *     +---------------------------+---------------------------+
    * 888 |         PLSLPSWE          |         PLS0EPSW          |
    *     +---------------------------+---------------------------+
    * 890 |         PLS0STFL          |         PLS0ESEA          |
    *     +---------------------------+---------------------------+
    * 898 |         PLSSTFLE          |         PLSPTFF           |
    *     +---------------------------+---------------------------+
    * 8A0 |         PLSESSA           |         PLSVCSP           |
    *     +---------------------------+---------------------------+
    * 8A8 |         PLSVCSPG          |         PLSBPFMF          |
    *     +---------------------------+---------------------------+
    * 8B0 |///////////////////////////|///////////////////////////|
    *     +---------------------------+---------------------------+
    * 8B8 |///////////////////////////|         PLSXPG5A          |
    *     +---------------------------+---------------------------+
    * 8C0 |///////////////////////////|         PLSALERT          |
    *     +---------------------------+---------------------------+
    * 8C8 |         PLSALETP          |         PLSVIESB          |
    *     +---------------------------+---------------------------+
    * 8D0 |         PLSVIDTE          |         PLSSTHYI          |
    *     +---------------------------+---------------------------+
    * 8D8 |         PLSUNKMC          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 8E0 |         PLSSMPBK          |         PLSCCFBK          |
    *     +---------------------------+---------------------------+
    * 8E8 |         PLS9CNR           |         PLS9CWT           |
    *     +---------------------------+---------------------------+
    * 8F0 |         PLS9CSWT          |         PLS9CDSP          |
    *     +---------------------------+---------------------------+
    * 8F8 |         PLSALECL          |         PLSALECG          |
    *     +---------------------------+---------------------------+
    * 900 |         PLSASHCL          |         PLSASHCG          |
    *     +---------------------------+---------------------------+
    * 908 |         PLSFOBLO          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 910 |         PLSFOBHI          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 918 |                       PLSFOB1E                        |
    *     +-------------------------------------------------------+
    * 920 |                       PLSFOB1T                        |
    *     +-------------------------------------------------------+
    * 928 |                       PLSFOBTM                        |
    *     +---------------------------+---------------------------+
    * 930 |         PLSFOBEM          |///////////////////////////|
    *     +---------------------------+---------------------------+
    * 938 |///////////////////////////////////////////////////////|
    *     +-------------------------------------------------------+
    * 940 |///////////////////////////////////////////////////////|
    *     +-------------------------------------------------------+
    * 948 |///////////////////////////////////////////////////////|
    *     +---------------------------+---------------------------+
    * 950 |         PLSCPD44          |         PLSDSP9C          |
    *     +---------------------------+---------------------------+
    * 958 |         PLSSYN9C          |         PLSHVR9C          |
    *     +---------------------------+---------------------------+
    * 960 |         PLSNDMAN          |         PLSNDMCT          |
    *     +---------------------------+---------------------------+
    * 968 |         PLSNDMRQ          |         PLSNDMLO          |
    *     +---------------------------+---------------------------+
    * 970 |         PLSNDMGL          |        PLSNDMG2L          |
    *     +---------------------------+---------------------------+
    * 978 |         PLSNDMDX          |        PLSNDMRET          |
    *     +---------------------------+---------------------------+
    * 980 |        PLSNDML2G          |        PLSNDMREL          |
    *     +---------------------------+---------------------------+
    * 988 |        PLSNDMREC          |        PLSNDMRND          |
    *     +---------------------------+---------------------------+
    * 990 |        PLSCLALLO          |        PLSCLALHI          |
    *     +---------------------------+---------------------------+
    * 998 |        PLSCLALTRM         |///////////////////////////|
    *     +------+------+------+------+---------------------------+
    * 9A0 |(9A0) |//////|//////|//////|///////////////////////////|
    *     +------+------+------+------+---------------------------+
    * 9A8 |                     PLSCLALADDED                      |
    *     +-------------------------------------------------------+
    * 9B0 |                   PLSCLALFWREMOVED                    |
    *     +-------------------------------------------------------+
    * 9B8 |                    PLSCLALTRIMMED                     |
    *     +-------------------------------------------------------+
    * 9C0 |                    PLSFPPFENTERED                     |
    *     +-------------------------------------------------------+
    * 9C8 |                    PLSFPPFSUCCESS                     |
    *     +-------------------------------------------------------+
    * 9D0 |                    PLSCPPFENTERED                     |
    *     +-------------------------------------------------------+
    * 9D8 |                    PLSCPPFSUCCESS                     |
    *     +-------------------------------------------------------+
    * 9E0 |                      PLSCPPFMDC                       |
    *     +-------------------------------------------------------+
    * 9E8 |                   PLSCLALREQUESTS1                    |
    *     +-------------------------------------------------------+
    * 9F0 |                   PLSCLALUNFILLED1                    |
    *     +-------------------------------------------------------+
    * 9F8 |                   PLSCLALREPLENOD                     |
    *     +-------------------------------------------------------+
    * A00 |                   PLSCLALUNFILLED2                    |
    *     +-------------------------------------------------------+
    * A08 |                   PLSCLALREQUESTS2                    |
    *     +-------------------------------------------------------+
    * A10 |                   PLSCLALUNFILLED3                    |
    *     +-------------------------------------------------------+
    * A18 |                     PLSTRIMCLTM                       |
    *     +-------------------------------------------------------+
    * A20 |                     PLSTRIMCLCT                       |
    *     +-------------------------------------------------------+
    * A28 |                   PLSCGALREQUESTS                     |
    *     +-------------------------------------------------------+
    * A30 |                    PLSCGALFRAMESR                     |
    *     +-------------------------------------------------------+
    * A38 |                     PLSCGALMOVED                      |
    *     +-------------------------------------------------------+
    * A40 |                    PLSCGALNOLOCK                      |
    *     +-------------------------------------------------------+
    * A48 |                  PLSCGALUNFILLEDNL                    |
    *     +-------------+-------------+---------------------------+
    * A50 |/////////////|/////////////|         PLSGCLEM          |
    *     +-------------+-------------+---------------------------+
    * A58 |                   PLSCGALUNFILLEDW                    |
    *     +------+------+------+------+---------------------------+
    * A60 |(A60) |//////|//////|//////|///////////////////////////|
    *     +------+------+------+------+---------------------------+
    * A68 |                      PLSULALPTR                       |
    *     +---------------------------+---------------------------+
    * A70 |        PLSULALCNT         |        PLSULALLO          |
    *     +---------------------------+------+------+------+------+
    * A78 |        PLSULALHI          |(A7C) |//////|//////|//////|
    *     +---------------------------+------+------+------+------+
    * A80 |                   PLSULALREQUESTS1                    |
    *     +-------------------------------------------------------+
    * A88 |                   PLSULALUNFILLED1                    |
    *     +-------------------------------------------------------+
    * A90 |                   PLSULALREPLENOD                     |
    *     +-------------------------------------------------------+
    * A98 |                   PLSULALUNFILLED2                    |
    *     +-------------------------------------------------------+
    * AA0 |                     PLSTRIMULTM                       |
    *     +-------------------------------------------------------+
    * AA8 |                     PLSTRIMULCT                       |
    *     +-------------------------------------------------------+
    * AB0 |                      PLSSWPROCL                       |
    *     +-------------------------------------------------------+
    * AB8 |                    PLSSWPROCLCNT                      |
    *     +-------------------------------------------------------+
    * AC0 |                                                       |
    *     =                      PLSPROLOCK                       =
    *     |                                                       |
    *     +-------------------------------------------------------+
    * AF0 |                     PLSPLPLOCTM                       |
    *     +-------------------------------------------------------+
    * AF8 |                     PLSPLPLOCCT                       |
    *     +-------------------------------------------------------+
    * B00 |                    PLSPLPREACHTM                      |
    *     +-------------------------------------------------------+
    * B08 |                    PLSPLPREACHCT                      |
    *     +-------------------------------------------------------+
    * B10 |                      PLSNOORRTM                       |
    *     +-------------------------------------------------------+
    * B18 |                      PLSNOORRCT                       |
    *     +---------------------------+---------------------------+
    * B20 |         PLSIPTEI          |          PLSIIA           |
    *     +---------------------------+---------------------------+
    * B28 |         PLSIIADD          |        PLSIINHLD          |
    *     +---------------------------+---------------------------+
    * B30 |                      PLSIIWTSSQ                       |
    *     |                                                       |
    *     +-------------------------------------------------------+
    * B40 |                       PLSIIWTM                        |
    *     +-------------------------------------------------------+
    * B48 |                       PLSIIHLD                        |
    *     +-------------------------------------------------------+
    * B50 |                      PLSIIHDSSQ                       |
    *     |                                                       |
    *     +-------------------------------------------------------+
    * B60 |                       PLSRDCTS                        |
    *     +-------------------------------------------------------+
    * B68
    *
    *** PLSBK - PROCESSOR LOCAL STORAGE BLOCK

    *** Overlay for PLSRDCTS in PLSBK
    *
    *     +---------------------------+---------------------------+
    * B60 |         PLSRDCNT          |         PLSRDICT          |
    *     +---------------------------+---------------------------+
    * B68 |                       PLSRDSSQ                        |
    *     +-------------------------------------------------------+
    * B70
    *
    *** Overlay for PLSRDCTS in PLSBK

    *** Overlay for PLSRDSSQ in PLSBK
    *
    *     +---------------------------+---------------------------+
    * B68 |         PLSRDSQ0          |         PLSRDSQ1          |
    *     +---------------------------+---------------------------+
    * B70
    *
    *** Overlay for PLSRDSSQ in PLSBK

    *** Overlay for PLSRDSTATS in PLSBK
    *
    *     +-------------------------------------------------------+
    * B60 |                     PLSRDSENTRY                       |
    *     |                                                       |
    *     +-------------------------------------------------------+
    * B70
    *
    *** Overlay for PLSRDSTATS in PLSBK

    *** Overlay for PLSRDSTATS in PLSBK
    *
    *     +-------------------------------------------------------+
    * B60 |                      PLSRDIPTE                        |
    *     |                                                       |
    *     +-------------------------------------------------------+
    * B70 |                      PLSRDIDTE                        |
    *     |                                                       |
    *     +-------------------------------------------------------+
    * B80 |                       PLSRDCSP                        |
    *     |                                                       |
    *     +-------------------------------------------------------+
    * B90 |                      PLSRDCSPG                        |
    *     |                                                       |
    *     +-----------------------------------------+-------------+
    * BA0 |/////////////////////////////////////////|/////////////|
    *     +-----------------------------------------+/////////////|
    * BA8 |///////////////////////////////////////////////////////|
    *     =///////////////////////////////////////////////////////=
    *     |///////////////////////////////////////////////////////|
    *     +-------------------------------------------------------+
    * C00 |                       PLSWRKEY                        |
    *     +---------------------------+---------------------------+
    * C08 |     PLSENCRYPTPAGES       |     PLSDECRYPTPAGES       |
    *     +---------------------------+---------------------------+
    * C10 |                   PLSENCPTCPUTIME                     |
    *     +-------------------------------------------------------+
    * C18 |                   PLSDECPTCPUTIME                     |
    *     +-------------------------------------------------------+
    * C20 |                      PLSSTHYI0T                       |
    *     +---------------------------+---------------------------+
    * C28 |        PLSSTHYI0C         |        PLSSTHYI1C         |
    *     +---------------------------+---------------------------+
    * C30 |                      PLSSTHYI1T                       |
    *     +-------------------------------------------------------+
    * C38 |                      PLSSTHYI2T                       |
    *     +---------------------------+---------------------------+
    * C40 |        PLSSTHYI2C         |        PLSSTHYI3C         |
    *     +---------------------------+---------------------------+
    * C48 |                      PLSSTHYI3T                       |
    *     +-------------------------------------------------------+
    * C50 |                      PLSSTHYI4T                       |
    *     +---------------------------+---------------------------+
    * C58 |        PLSSTHYI4C         |        PLSSTHYI5C         |
    *     +---------------------------+---------------------------+
    * C60 |                      PLSSTHYI5T                       |
    *     +-------------------------------------------------------+
    * C68 |                      PLSSTHYI6T                       |
    *     +---------------------------+---------------------------+
    * C70 |        PLSSTHYI6C         |///////////////////////////|
    *     +---------------------------+---------------------------+
    * C78 |                       PLSTOTWT                        |
    *     +-------------------------------------------------------+
    * C80 |                      PLSTOTWTLO                       |
    *     +-------------------------------------------------------+
    * C88 |                                                       |
    *     =                       PLSUSPAC                        =
    *     |                                                       |
    *     +-------------------------------------------------------+
    *1000
    *
    *** Overlay for PLSRDSTATS in PLSBK

PLSBK Cross Reference | Top of page

    Symbol         Dspl Value
    -------------- ---- -----
    plsProLock     0AC0
    PLSlta         09A0 80
    PLSswProcL     0AB0
    PLSswProcLCnt  0AB8
    PLSAvlAF       02E8
    PLSAvlAN       02EC
    PLSAvlBF       02E0
    PLSAvlBN       02E4
    PLSABNCT       0020
    PLSALECG       08FC
    PLSALECL       08F8
    PLSALEMG       0168
    PLSALEMP       015C
    PLSALERT       08C4
    PLSALETP       08C8
    PLSALNCG       0164
    PLSALNCT       0158
    PLSASARL       0214
    PLSASFCG       0174
    PLSASFCL       0170
    PLSASHCG       0904
    PLSASHCL       0900
    PLSASRWK       0024
    PLSBound1      0AB0
    PLSBGCNT       0180
    PLSBGCTM       0178
    PLSBISAS       0814
    PLSBISBT       0818
    PLSBISCP       0810
    PLSBISIU       0830
    PLSBISPB       081C
    PLSBISSI       0820
    PLSBISST       07E4
    PLSBISTE       0824
    PLSBISXE       0828
    PLSBISXS       082C
    PLSBKLEN       0C88 00001000
    PLSBPFMF       08AC
    PLSCCFBK       08E4
    PLSCCWLP       04A4
    PLSCFMCK       07C4
    PLSCGALFramesR
                   0A30
    PLSCGALF0      0A60
    PLSCGALMoved   0A38
    PLSCGALNoLock  0A40
    PLSCGALRequests
                   0A28
    PLSCGALUnfilledNL
                   0A48
    PLSCGALUnfilledW
                   0A58
    PLSCGALWanting
                   0A50
    PLSCLALfwRemoved
                   09B0
    PLSCLALhi      0994
    PLSCLALlo      0990
    PLSCLALtrm     0998
    PLSCLALAdded   09A8
    PLSCLALF0      09A0
    PLSCLALReplenOD
                   09F8
    PLSCLALRequests1
                   09E8
    PLSCLALRequests2
                   0A08
    PLSCLALTrimmed
                   09B8
    PLSCLALUnfilled1
                   09F0
    PLSCLALUnfilled2
                   0A00
    PLSCLALUnfilled3
                   0A10
    PLSCPD44       0950
    PLSCPPFEntered
                   09D0
    PLSCPPFMDC     09E0
    PLSCPPFSuccess
                   09D8
    PLSCPSUS       0470
    PLSCTCS        0460
    PLSCTHS        0464
    PLSCTMPN       0014
    PLSCTPGN       0018
    PLSCTPGO       001C
    PLSCTRS        045C
    PLSCTSI        0468
    PLSCTSS        0458
    PLSCTUI        046C
    PLSCUHAF       011A
    PLSDecptCPUtime
                   0C18
    PLSDecryptPages
                   0C0C
    PLSDGUCT       07B4
    PLSDGXAC       055C
    PLSDGXA0       0550
    PLSDGXA4       0554
    PLSDGXA8       0558
    PLSDGXBC       056C
    PLSDGXB0       0560
    PLSDGXB4       0564
    PLSDGXB8       0568
    PLSDGXCC       057C
    PLSDGXC0       0570
    PLSDGXC4       0574
    PLSDGXC8       0578
    PLSDGXDC       058C
    PLSDGXD0       0580
    PLSDGXD4       0584
    PLSDGXD8       0588
    PLSDGXEC       059C
    PLSDGXE0       0590
    PLSDGXE4       0594
    PLSDGXE8       0598
    PLSDGXFC       05AC
    PLSDGXF0       05A0
    PLSDGXF4       05A4
    PLSDGXF8       05A8
    PLSDGX0C       04BC
    PLSDGX00       04B0
    PLSDGX04       04B4
    PLSDGX08       04B8
    PLSDGX1C       04CC
    PLSDGX10       04C0
    PLSDGX14       04C4
    PLSDGX18       04C8
    PLSDGX2C       04DC
    PLSDGX20       04D0
    PLSDGX24       04D4
    PLSDGX28       04D8
    PLSDGX3C       04EC
    PLSDGX30       04E0
    PLSDGX34       04E4
    PLSDGX38       04E8
    PLSDGX4C       04FC
    PLSDGX40       04F0
    PLSDGX44       04F4
    PLSDGX48       04F8
    PLSDGX5C       050C
    PLSDGX50       0500
    PLSDGX54       0504
    PLSDGX58       0508
    PLSDGX6C       051C
    PLSDGX60       0510
    PLSDGX64       0514
    PLSDGX68       0518
    PLSDGX7C       052C
    PLSDGX70       0520
    PLSDGX74       0524
    PLSDGX78       0528
    PLSDGX8C       053C
    PLSDGX80       0530
    PLSDGX84       0534
    PLSDGX88       0538
    PLSDGX9C       054C
    PLSDGX90       0540
    PLSDGX94       0544
    PLSDGX98       0548
    PLSDG2AC       065C
    PLSDG2A0       0650
    PLSDG2A4       0654
    PLSDG2A8       0658
    PLSDG2BC       066C
    PLSDG2B0       0660
    PLSDG2B4       0664
    PLSDG2B8       0668
    PLSDG2CC       067C
    PLSDG2C0       0670
    PLSDG2C4       0674
    PLSDG2C8       0678
    PLSDG2DC       068C
    PLSDG2D0       0680
    PLSDG2D4       0684
    PLSDG2D8       0688
    PLSDG2EC       069C
    PLSDG2E0       0690
    PLSDG2E4       0694
    PLSDG2E8       0698
    PLSDG2FC       06AC
    PLSDG2F0       06A0
    PLSDG2F4       06A4
    PLSDG2F8       06A8
    PLSDG20C       05BC
    PLSDG200       05B0
    PLSDG204       05B4
    PLSDG208       05B8
    PLSDG21C       05CC
    PLSDG210       05C0
    PLSDG214       05C4
    PLSDG218       05C8
    PLSDG22C       05DC
    PLSDG220       05D0
    PLSDG224       05D4
    PLSDG228       05D8
    PLSDG23C       05EC
    PLSDG230       05E0
    PLSDG234       05E4
    PLSDG238       05E8
    PLSDG24C       05FC
    PLSDG240       05F0
    PLSDG244       05F4
    PLSDG248       05F8
    PLSDG25C       060C
    PLSDG250       0600
    PLSDG254       0604
    PLSDG258       0608
    PLSDG26C       061C
    PLSDG260       0610
    PLSDG264       0614
    PLSDG268       0618
    PLSDG27C       062C
    PLSDG270       0620
    PLSDG274       0624
    PLSDG278       0628
    PLSDG28C       063C
    PLSDG280       0630
    PLSDG284       0634
    PLSDG288       0638
    PLSDG29C       064C
    PLSDG290       0640
    PLSDG294       0644
    PLSDG298       0648
    PLSDG3AC       075C
    PLSDG3A0       0750
    PLSDG3A4       0754
    PLSDG3A8       0758
    PLSDG3BC       076C
    PLSDG3B0       0760
    PLSDG3B4       0764
    PLSDG3B8       0768
    PLSDG3CC       077C
    PLSDG3C0       0770
    PLSDG3C4       0774
    PLSDG3C8       0778
    PLSDG3DC       078C
    PLSDG3D0       0780
    PLSDG3D4       0784
    PLSDG3D8       0788
    PLSDG3EC       079C
    PLSDG3E0       0790
    PLSDG3E4       0794
    PLSDG3E8       0798
    PLSDG3FC       07AC
    PLSDG3F0       07A0
    PLSDG3F4       07A4
    PLSDG3F8       07A8
    PLSDG30C       06BC
    PLSDG300       06B0
    PLSDG304       06B4
    PLSDG308       06B8
    PLSDG31C       06CC
    PLSDG310       06C0
    PLSDG314       06C4
    PLSDG318       06C8
    PLSDG32C       06DC
    PLSDG320       06D0
    PLSDG324       06D4
    PLSDG328       06D8
    PLSDG33C       06EC
    PLSDG330       06E0
    PLSDG334       06E4
    PLSDG338       06E8
    PLSDG34C       06FC
    PLSDG340       06F0
    PLSDG344       06F4
    PLSDG348       06F8
    PLSDG35C       070C
    PLSDG350       0700
    PLSDG354       0704
    PLSDG358       0708
    PLSDG36C       071C
    PLSDG360       0710
    PLSDG364       0714
    PLSDG368       0718
    PLSDG37C       072C
    PLSDG370       0720
    PLSDG374       0724
    PLSDG378       0728
    PLSDG38C       073C
    PLSDG380       0730
    PLSDG384       0734
    PLSDG388       0738
    PLSDG39C       074C
    PLSDG390       0740
    PLSDG394       0744
    PLSDG398       0748
    PLSDIAG        04B0
    PLSDIAGT       07B0
    PLSDIAG2       05B0
    PLSDSPCM       00BC
    PLSDSPCN       00B4
    PLSDSPCW       0098
    PLSDSP9C       0954
    PLSDSWCU       00C0
    PLSEmptys      09A0 60
    PLSEmptyD      09A0 20
    PLSEmptyI      09A0 40
    PLSEncptCPUtime
                   0C10
    PLSEncryptPages
                   0C08
    PLSEFRC1       011C
    PLSEFRC2       011E
    PLSEFRC3       0120
    PLSEQKAD       0122
    PLSESSA        08A0
    PLSETBEL       011A 00000002
    PLSEVNT1       011A 00000000
    PLSEVNT2       011A 00000002
    PLSEVNT3       011A 00000004
    PLSEXTNC       00A4
    PLSEXTNX       009C
    PLSFGCNT       0190
    PLSFGCTM       0188
    PLSFOBEM       0930
    PLSFOBHI       0910
    PLSFOBLO       0908
    PLSFOBTM       0928
    PLSFOB1E       0918
    PLSFOB1T       0920
    PLSFPPFEntered
                   09C0
    PLSFPPFSuccess
                   09C8
    PLSFRETA       01EC
    PLSFRETB       01F0
    PLSFSCTA       01CC
    PLSFSCTB       01D0
    PLSFSPGA       01C4
    PLSFSPGB       01C8
    PLSFSPRA       01E4
    PLSFSPRB       01E8
    PLSFSSGA       01D4
    PLSFSSGB       01D8
    PLSFSSRA       01DC
    PLSFSSRB       01E0
    PLSGCLEM       0A54
    PLSGIRPG       07F8
    PLSHVR9C       095C
    PLSIIA         0B24
    PLSIIADD       0B28
    PLSIIHDSSQ     0B50
    PLSIIHLD       0B48
    PLSIINHLD      0B2C
    PLSIIWTM       0B40
    PLSIIWTSSQ     0B30
    PLSIORCT       0498
    PLSIPTEI       0B20
    PLSISEAC       0368
    PLSISEAS       0380
    PLSISEBL       034C
    PLSISECC       035C
    PLSISECF       0378
    PLSISECR       0370
    PLSISEID       0374
    PLSISELO       036C
    PLSISEM        0348
    PLSISEMA       0344
    PLSISEMO       0354
    PLSISERA       0350
    PLSISESC       0384
    PLSISESI       0358
    PLSISESP       0360
    PLSISESY       0364
    PLSISEVE       0388
    PLSISEVM       0440
    PLSISEVS       037C
    PLSISTAC       03BC
    PLSISTAS       03D4
    PLSISTATS      0B20
    PLSISTBL       03A0
    PLSISTCC       03B0
    PLSISTCF       03CC
    PLSISTCR       03C4
    PLSISTID       03C8
    PLSISTLN       0B50 00000040
    PLSISTLO       03C0
    PLSISTM        039C
    PLSISTMA       0398
    PLSISTMO       03A8
    PLSISTRA       03A4
    PLSISTSC       03D8
    PLSISTSI       03AC
    PLSISTSP       03B4
    PLSISTSY       03B8
    PLSISTVE       03DC
    PLSISTVM       0444
    PLSISTVS       03D0
    PLSISUAC       0410
    PLSISUAS       0428
    PLSISUBL       03F4
    PLSISUCC       0404
    PLSISUCF       0420
    PLSISUCR       0418
    PLSISUID       041C
    PLSISULO       0414
    PLSISUM        03F0
    PLSISUMA       03EC
    PLSISUMO       03FC
    PLSISURA       03F8
    PLSISUSC       042C
    PLSISUSI       0400
    PLSISUSP       0408
    PLSISUSY       040C
    PLSISUVE       0430
    PLSISUVM       0448
    PLSISUVS       0424
    PLSIUCVT       0340
    PLSKEYIE       0834
    PLSKEYIK       0838
    PLSKEYRE       083C
    PLSKEYRR       0840
    PLSKEYSE       0844
    PLSKEYSK       0848
    PLSLKDIO       0130
    PLSLKDLY       0128
    PLSLKMAX       0138
    PLSLKMOD       0140
    PLSLKOFS       0146
    PLSLKVMD       013C
    PLSLPSWE       0888
    PLSLSLEN       0C80 00000378
    PLSLTPinMoved  02F0
    PLSLTPinNotFirst
                   02FC
    PLSLTPinNotMoved
                   02F4
    PLSMCHCT       00A8
    PLSMCVMC       07F4
    PLSMVABV       0234
    PLSMVB2G       0230
    PLSNDMAN       0960
    PLSNDMCT       0964
    PLSNDMDX       0978
    PLSNDMGL       0970
    PLSNDMG2L      0974
    PLSNDMLO       096C
    PLSNDML2G      0980
    PLSNDMREC      0988
    PLSNDMREL      0984
    PLSNDMRET      097C
    PLSNDMRND      098C
    PLSNDMRQ       0968
    PLSNOORRCT     0B18
    PLSNOORRTM     0B10
    PLSPinWhileVacate
                   02F8
    PLSPAGPS       0010
    PLSPCPAG       01B8
    PLSPCVSC       0478
    PLSPGDRD       0148
    PLSPGDWT       014C
    PLSPGIN        0218
    PLSPGMRD       022C
    PLSPGMRX       0228
    PLSPGOUT       021C
    PLSPGXRD       0220
    PLSPGXWT       0224
    PLSPIOPR       0000
    PLSPIOPW       0008
    PLSPIOSR       0004
    PLSPIOSW       000C
    PLSPLPLocCT    0AF8
    PLSPLPLocTM    0AF0
    PLSPLPReachCT  0B08
    PLSPLPReachTm  0B00
    PLSPNEW        01FC
    PLSPREAD       0200
    PLSPRQDF       01F8
    PLSPRVGP       084C
    PLSPRVIS       080C
    PLSPRVLC       0850
    PLSPRVLG       0880
    PLSPRVLP       0854
    PLSPRVMN       0858
    PLSPRVMO       085C
    PLSPRVMS       0860
    PLSPRVSC       07FC
    PLSPRVSG       0884
    PLSPRVSV       0864
    PLSPRVTC       0868
    PLSPRVTP       086C
    PLSPRVVN       0870
    PLSPTFF        089C
    PLSPTLCA       00D0
    PLSPTLCD       00CC
    PLSPTLCL       00C8
    PLSPTLCS       00C4
    PLSPUPAG       01AC
    PLSRDCNT       0B60
    PLSRDCSP       0B80
    PLSRDCSPG      0B90
    PLSRDCTS       0B60
    PLSRDICT       0B64
    PLSRDIDTE      0B70
    PLSRDIPTE      0B60
    PLSRDSENTRY    0B60
    PLSRDSQ0       0B68
    PLSRDSQ1       0B6C
    PLSRDSSQ       0B68
    PLSRDSTATS     0B60
    PLSRDSTLN      0B6C 00000010
    PLSRELES       0208
    PLSRELFR       020C
    PLSRETFG       016C
    PLSRETFR       0160
    PLSRSCHC       0484
    PLSSAPUC       0250
    PLSSAQMT       0254
    PLSSARTC       024C
    PLSSATKC       0248
    PLSSBPUC       0260
    PLSSBQMT       0264
    PLSSBRTC       025C
    PLSSBTKC       0258
    PLSSCKPF       07CC
    PLSSHRRD       0204
    PLSSIOCT       0488
    PLSSIOFC       048C
    PLSSMPBK       08E0
    PLSSPDQC       02C8
    PLSSPFSC       0288
    PLSSPGBD       02C4
    PLSSPGCC       0294
    PLSSPGCT       0298
    PLSSPGFC       028C
    PLSSPGFD       02C0
    PLSSPGPC       0290
    PLSSPGPD       02BC
    PLSSPNDF       02B8
    PLSSPNDP       02B4
    PLSSPRCC       02A4
    PLSSPRCT       02A8
    PLSSPRFC       029C
    PLSSPRPC       02A0
    PLSSPRQC       02AC
    PLSSPRQT       02B0
    PLSSRCSS       0344
    PLSSSCHC       0480
    PLSSSDSD       0474
    PLSSTFLE       0898
    PLSSTHYI       08D4
    PLSSTHYI0C     0C28
    PLSSTHYI0T     0C20
    PLSSTHYI1C     0C2C
    PLSSTHYI1T     0C30
    PLSSTHYI2C     0C40
    PLSSTHYI2T     0C38
    PLSSTHYI3C     0C44
    PLSSTHYI3T     0C48
    PLSSTHYI4C     0C58
    PLSSTHYI4T     0C50
    PLSSTHYI5C     0C5C
    PLSSTHYI5T     0C60
    PLSSTHYI6C     0C70
    PLSSTHYI6T     0C68
    PLSSTKCC       00E0
    PLSSTKCD       00D4
    PLSSTKCH       00F8
    PLSSTKCI       00DC
    PLSSTKCJ       00F4
    PLSSTKCM       00F0
    PLSSTKCS       00E4
    PLSSTKCW       00E8
    PLSSTKGS       00EC
    PLSSTKPE       00D8
    PLSSTLFR       01C0
    PLSSTLTL       00FC
    PLSSTLWT       0150
    PLSSTPAG       01A8
    PLSSUPUC       0240
    PLSSUQMT       0244
    PLSSURTC       023C
    PLSSUTKC       0238
    PLSSVCCT       00AC
    PLSSXACC       0270
    PLSSXADC       026C
    PLSSXAFC       0280
    PLSSXALD       0284
    PLSSXALS       0268
    PLSSXAQC       0278
    PLSSXARC       0274
    PLSSXASC       027C
    PLSSXCSP       02D4
    PLSSXIPC       02CC
    PLSSXNST       02D0
    PLSSXREP       02D8
    PLSSYN9C       0958
    PLSTrimCGCT    01A0
    PLSTrimCGTM    0198
    PLSTrimCLCT    0A20
    PLSTrimCLTM    0A18
    PLSTrimULCT    0AA8
    PLSTrimULTM    0AA0
    PLSTCCC        0490
    PLSTMRCE       07E0
    PLSTMRCO       0800
    PLSTOTWT       0C78
    PLSTOTWTLO     0C80
    PLSTRCSS       0398
    PLSTRQCF       00B0
    PLSTRQPC       00A0
    PLSTSEAR       0094
    PLSULALhi      0A78
    PLSULALlo      0A74
    PLSULALCnt     0A70
    PLSULALF0      0A7C
    PLSULALPtr     0A68
    PLSULALReplenOD
                   0A90
    PLSULALRequests1
                   0A80
    PLSULALUnfilled1
                   0A88
    PLSULALUnfilled2
                   0A98
    PLSUNCSS       03EC
    PLSUNKMC       08D8
    PLSUPAGE       01B0
    PLSURFTF       0210
    PLSUSPAC       0C88
    PLSVATCA       07DC
    PLSVATCL       07D8
    PLSVCSP        08A4
    PLSVCSPG       08A8
    PLSVDISK       049C
    PLSVIDTE       08D0
    PLSVIESB       08CC
    PLSVIPRC       0804
    PLSVIPRS       0808
    PLSVIXEX       07F0
    PLSVIXIU       07BC
    PLSVIXLD       07B8
    PLSVIXVM       07C0
    PLSVOPIF       07EC
    PLSVPAGE       01B4
    PLSVPTNV       0874
    PLSVSEVM       044C
    PLSVSTVM       0450
    PLSVSUVM       0454
    PLSVWRIT       04A8
    PLSWRKEY       0C00
    PLSWRUCI       07D0
    PLSWRUCP       07D4
    PLSXITCT       0090
    PLSXPGIN       0878
    PLSXPGOU       087C
    PLSXPG5A       08BC
    PLS0EPSW       088C
    PLS0ESEA       0894
    PLS0STFL       0890
    PLS250IR       04A0
    PLS9CDSP       08F4
    PLS9CNR        08E8
    PLS9CSWT       08F0
    PLS9CWT        08EC

This information is based on z/VM 7.2.0 Last updated on 24 Jun 2020 at 09:29:43 EDT.
Copyright IBM Corporation, 1990, 2020